-- Create tables
CREATE TABLE cur (
	cid INTEGER(8) AUTO_INCREMENT PRIMARY KEY,
	title VARCHAR(255) NOT NULL,
	text MEDIUMBLOB,
-- Keep user.user_name table (instead of integer(5) as we don't implement user table.
	user VARCHAR(255) NOT NULL,
	timestamp CHAR(14) NOT NULL,
	minor_edit TINYINT(1) DEFAULT 0,
	is_redirect TINYINT(1) DEFAULT 0,
	is_new TINYINT(1) DEFAULT 1
) CHARACTER SET utf8;

CREATE TABLE old(
	oid INTEGER(8) AUTO_INCREMENT PRIMARY KEY,
	title VARCHAR(255) NOT NULL,
	text MEDIUMBLOB,
	user VARCHAR(255) NOT NULL,
	timestamp char(14) NOT NULL,
	minor_edit TINYINT(1) DEFAULT 0
) CHARACTER SET utf8;

-- Fill the tables
insert into CUR (CID, TITLE, TEXT, USER, TIMESTAMP, MINOR_EDIT, IS_REDIRECT, IS_NEW)
	select RID, TITLE, TEXT, USER, TIMESTAMP, MINOR_EDIT, IS_REDIRECT, IS_NEW
		from REVISION R, PAGE P, TEXT T where
			P.LATEST=R.RID and
			R.RID=T.TID;

insert into OLD (OID, TITLE, TEXT, USER, TIMESTAMP, MINOR_EDIT)
	select RID, TITLE, TEXT, USER, TIMESTAMP, MINOR_EDIT
		from REVISION R, PAGE P, TEXT T where
			P.PID=R.PAGE and P.LATEST <> R.RID and
			R.RID=T.TID;

-- clear redundant tables
-- Nullify references to PAGE in order to allow drop.
-- Disabling foreign keys check would be adequate.
update REVISION set PAGE=NULL;
drop table PAGE;
drop table REVISION;
drop table TEXT;
