<%--
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
--%><%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"
	import="
		ddbc.commons.util.*,uwiki.*,
		org.apache.log4j.Logger"
%><%
try {
	String sessionUser = (String)session.getAttribute("user");

	if (Strings.isEmpty(sessionUser)) {
		WOps.sendRedirect(request, response, WConst.PAGE_LOGIN);
	}

	String paramNew = request.getParameter("new");
	boolean isNew = Strings.parseBoolean(paramNew);
	
	DataCur cur;
	String pageTitle;
	if (isNew) {
		pageTitle = "New Page";
		cur = new DataCur();
		cur.setTitle("");
		cur.setText("");
		cur.setNew(true);
		cur.setRedirect(false);
	} else {
		String paramTitle = request.getParameter("title");
		pageTitle = "Editing " + paramTitle;
		cur = WOps.getPage(paramTitle);
	}
	
	pageContext.setAttribute("pageCaption", pageTitle, PageContext.REQUEST_SCOPE);
	pageContext.include("incHead.jsp");
%>
<div class="ui">
<div class="commands">
	<div class="title">Commands</div>
	<div class="command">
		<a href="<%=response.encodeRedirectURL(request.getContextPath() + WConst.PAGE_LISTCURRENT) %>">Return to list of pages</a><br>
<% if (!isNew) {%><a href="<%=Http.encodeUrl(response, request.getContextPath() + WConst.PAGE_VIEW,
			new String[]{"title",cur.getTitle()}) %>">Return to <%= Html.escapeEntities(cur.getTitle()) %></a><br>
<% } %>
	</div>
</div>

<div class="ui_form">
<form id="formEditCur" method="post" action="<%=response.encodeRedirectURL(request.getContextPath() + WConst.ACTION_EDIT) %>">
<input type="hidden" name="new" value="<%=isNew?"1":"0"%>" >
<table><tbody>
	<tr>
		<td>Title</td>
		<td><input type="text" name="title" value="<%=Html.escapeEntities(cur.getTitle()) %>" <%if (!isNew){ %>readonly="readonly" <% } %>></td>
	</tr>
	<tr>
		<td>minorEdit</td>
		<td><input type="checkbox" name="minorEdit" value="1" ></td>
	</tr>
	<tr>
		<td>Text</td>
		<td><textarea name="text" rows="10" cols="60"><%=Html.escapeEntities(cur.getText()) %></textarea></td>
	</tr>
	<tr>
		<td colspan="2"><input type="submit" value="Submit"></td>
	</tr>
</tbody></table>
</form>
</div>
</div>
<%
	pageContext.include("incFoot.jsp");
} catch(Exception e) {
	Logger.getLogger("pages.edit").error("Exception captured in page", e);
	WOps.sendRedirect(request, response, WConst.PAGE_ERROR);
}
%>