<%--
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
--%><%@ page language="java"
	contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"
	import="uwiki.*,
		ddbc.commons.util.*, 
		java.util.*,
		org.apache.log4j.Logger"
%><%
try {
	String user = (String)session.getAttribute("user");
	
	ArrayList pageList = new ArrayList();
	String paramTitle = request.getParameter("title");
	WOps.listHistory(paramTitle, pageList);

	pageContext.setAttribute("pageCaption", "History", PageContext.REQUEST_SCOPE);
	pageContext.include("incHead.jsp");
%>
<div class="ui">
<div class="commands">
	<div class="title">Commands</div>
	<div class="command">
		<a href="<%=response.encodeRedirectURL(request.getContextPath() + WConst.PAGE_LISTCURRENT) %>">List of pages</a>
	</div>
</div>
<table class="pageList">
<thead><tr class="rowHead"><th>Title</th><th>User</th><th>Last Modified</th></tr>
</thead>
<%
for (int idxPage = 0; idxPage < pageList.size(); idxPage++) {
	String rowClass = (idxPage % 2 == 0) ? "rowEven" : "rowOdd";
	if (pageList.get(idxPage) instanceof DataCur) {
		DataCur dataCurAtIdx = (DataCur)pageList.get(idxPage);
%>	<tr class="<%=rowClass%>">
		<td class="title"><span title="Current page" style="width:1em;">*</span>
				<%=Html.escapeEntities(dataCurAtIdx.getTitle()) %></td>
		<td class="user"><%=Html.escapeEntities(dataCurAtIdx.getUser()) %></td>
		<td class="timestamp"><%=WOps.formatTimestamp(dataCurAtIdx.getTimestamp()) %></td>
	</tr>
<%
	} else {
		DataOld dataOldAtIdx = (DataOld)pageList.get(idxPage);
%>	<tr class="<%=rowClass%>">
		<td class="title"><span style="width:1em;">&nbsp;</span>
				<%=Html.escapeEntities(dataOldAtIdx.getTitle()) %></td>
		<td class="user"><%=Html.escapeEntities(dataOldAtIdx.getUser()) %></td>
		<td class="timestamp"><%=WOps.formatTimestamp(dataOldAtIdx.getTimestamp()) %></td>
	</tr>
<%
	}
}
%>
</table>
</div>
<%
pageContext.include("incFoot.jsp");
} catch(Exception e) {
	Logger.getLogger("pages.history").error("Exception captured in page", e);
	WOps.sendRedirect(request, response, WConst.PAGE_ERROR);
}
%>