/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package uwiki;

import java.io.Serializable;
import java.util.Date;

/**
 * Data class corresponding to MediaWiki schema version 41 table CUR.
 * Data for current version of page.
 */
public class DataCur implements Serializable {
	private static final long serialVersionUID = 1L;
	private int cid;
	private String title;
	private String user;
	private boolean minorEdit;
	private String text;
	private Date timestamp;
	private boolean isNew;
	private boolean isRedirect;
	/**
	 * @return the cid
	 */
	public int getCid() {
		return cid;
	}
	/**
	 * @param a_cid the cid to set
	 */
	public void setCid(int a_cid) {
		cid = a_cid;
	}
	/**
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}
	/**
	 * @param a_title the title to set
	 */
	public void setTitle(String a_title) {
		title = a_title;
	}
	/**
	 * @return the user
	 */
	public String getUser() {
		return user;
	}
	/**
	 * @param a_user the user to set
	 */
	public void setUser(String a_user) {
		user = a_user;
	}
	/**
	 * @return the minor_edit
	 */
	public boolean isMinorEdit() {
		return minorEdit;
	}
	/**
	 * @param a_minor_edit the minor_edit to set
	 */
	public void setMinorEdit(boolean a_minor_edit) {
		minorEdit = a_minor_edit;
	}
	/**
	 * @return the text
	 */
	public String getText() {
		return text;
	}
	/**
	 * @param a_text the text to set
	 */
	public void setText(String a_text) {
		text = a_text;
	}
	/**
	 * @return the timestamp
	 */
	public Date getTimestamp() {
		return timestamp;
	}
	/**
	 * @param a_timestamp the timestamp to set
	 */
	public void setTimestamp(Date a_timestamp) {
		timestamp = a_timestamp;
	}
	/**
	 * @return the isNew
	 */
	public boolean isNew() {
		return isNew;
	}
	/**
	 * @param a_isNew the isNew to set
	 */
	public void setNew(boolean a_isNew) {
		isNew = a_isNew;
	}
	/**
	 * @return the isRedirect
	 */
	public boolean isRedirect() {
		return isRedirect;
	}
	/**
	 * @param a_isRedirect the isRedirect to set
	 */
	public void setRedirect(boolean a_isRedirect) {
		isRedirect = a_isRedirect;
	}
	
	@Override
	public String toString() {
		return "Cur:" + getTitle();
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + cid;
//		result = prime * result + (isNew ? 1231 : 1237);
//		result = prime * result + (isRedirect ? 1231 : 1237);
//		result = prime * result + (minorEdit ? 1231 : 1237);
//		result = prime * result + ((text == null) ? 0 : text.hashCode());
//		result = prime * result
//				+ ((timestamp == null) ? 0 : timestamp.hashCode());
		result = prime * result + ((title == null) ? 0 : title.hashCode());
//		result = prime * result + ((user == null) ? 0 : user.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		DataCur other = (DataCur) obj;
		if (cid != other.cid)
			return false;
		if (isNew != other.isNew)
			return false;
		if (isRedirect != other.isRedirect)
			return false;
		if (minorEdit != other.minorEdit)
			return false;
		if (text == null) {
			if (other.text != null)
				return false;
		} else if (!text.equals(other.text))
			return false;
		if (timestamp == null) {
			if (other.timestamp != null)
				return false;
		} else if (!timestamp.equals(other.timestamp))
			return false;
		if (title == null) {
			if (other.title != null)
				return false;
		} else if (!title.equals(other.title))
			return false;
		if (user == null) {
			if (other.user != null)
				return false;
		} else if (!user.equals(other.user))
			return false;
		return true;
	}
}
