/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
/**
 * 
 */
package uwiki;

import java.io.Serializable;
import java.text.DateFormat;
import java.util.Date;

/**
 * Data Class corresponding to MediaWiki v41 table OLD.
 */
public class DataOld implements Serializable {
	private static final long serialVersionUID = 1L;

	private int oid;
	private String title;
	private String user;
	private boolean minorEdit;
	private String text;
	private Date timestamp;
	/**
	 * @return the oid
	 */
	public int getOid() {
		return oid;
	}
	/**
	 * @param a_oid the oid to set
	 */
	public void setOid(int a_oid) {
		oid = a_oid;
	}
	/**
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}
	/**
	 * @param a_title the title to set
	 */
	public void setTitle(String a_title) {
		title = a_title;
	}
	/**
	 * @return the user
	 */
	public String getUser() {
		return user;
	}
	/**
	 * @param a_user the user to set
	 */
	public void setUser(String a_user) {
		user = a_user;
	}
	/**
	 * @return the minor_edit
	 */
	public boolean isMinorEdit() {
		return minorEdit;
	}
	/**
	 * @param a_minor_edit the minor_edit to set
	 */
	public void setMinorEdit(boolean a_minor_edit) {
		minorEdit = a_minor_edit;
	}
	/**
	 * @return the text
	 */
	public String getText() {
		return text;
	}
	/**
	 * @param a_text the text to set
	 */
	public void setText(String a_text) {
		text = a_text;
	}
	/**
	 * @return the timestamp
	 */
	public Date getTimestamp() {
		return timestamp;
	}
	/**
	 * @param a_timestamp the timestamp to set
	 */
	public void setTimestamp(Date a_timestamp) {
		timestamp = a_timestamp;
	}
	
	@Override
	public String toString() {
		return "" + getTitle() + '@' + DateFormat.getDateTimeInstance().format(getTimestamp());
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
//		result = prime * result + (minorEdit ? 1231 : 1237);
		result = prime * result + oid;
//		result = prime * result + ((text == null) ? 0 : text.hashCode());
//		result = prime * result
//				+ ((timestamp == null) ? 0 : timestamp.hashCode());
		result = prime * result + ((title == null) ? 0 : title.hashCode());
//		result = prime * result + ((user == null) ? 0 : user.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		DataOld other = (DataOld) obj;
		if (minorEdit != other.minorEdit)
			return false;
		if (oid != other.oid)
			return false;
		if (text == null) {
			if (other.text != null)
				return false;
		} else if (!text.equals(other.text))
			return false;
		if (timestamp == null) {
			if (other.timestamp != null)
				return false;
		} else if (!timestamp.equals(other.timestamp))
			return false;
		if (title == null) {
			if (other.title != null)
				return false;
		} else if (!title.equals(other.title))
			return false;
		if (user == null) {
			if (other.user != null)
				return false;
		} else if (!user.equals(other.user))
			return false;
		return true;
	}
}
