/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.tool.as;

import java.io.*;

import net.sf.jsqlparser.parser.CCJSqlParserManager;
import net.sf.jsqlparser.statement.Statement;
import net.sf.jsqlparser.util.deparser.StatementDeParser;

import org.apache.commons.xmlio.in.SimpleImportHandler;
import org.apache.commons.xmlio.in.SimpleImporter;
import org.apache.commons.xmlio.in.SimplePath;
import org.xml.sax.InputSource;
import org.xml.sax.helpers.AttributesImpl;

public class TestParseSr {
	private static class StmtRepImportHandler implements SimpleImportHandler {
		public void startElement(SimplePath path, String name, AttributesImpl attributes, String leadingCDdata) {
			if (path.matches("/statementReport/statements/statement/norm-strStmt")) {
				parseStatement(leadingCDdata);
			}
		}

		public void endElement(SimplePath a_path, String a_name) { }
		public void cData(SimplePath a_path, String a_cdata) { }
		public void startDocument() { }
		public void endDocument() { }

	};
	
	public static void main(String[] args) {
		try {
			System.out.println("Parsing Statement Report " + args[0]);
			File l_file = new File(args[0]);
			FileInputStream l_fis = new FileInputStream(l_file);
			InputStreamReader l_reader = new InputStreamReader(l_fis, "UTF-8");
			try {
				InputSource l_source = new InputSource(l_reader);
				SimpleImporter l_importer = new SimpleImporter();
				StmtRepImportHandler l_handler = new StmtRepImportHandler();
				l_importer.addSimpleImportHandler(l_handler);
				l_importer.parse(l_source);

			} finally {
				l_fis.close();
			}
		} catch (Exception e) {
			System.err.println("Error in TestParSr.main()");
			e.printStackTrace();
		}
	}
	
	private static void parseStatement(String statement) {
		System.out.println("Parsing statement: " + statement);
		try {
			// Parse. Obtains Statement
			CCJSqlParserManager manager = new CCJSqlParserManager();
			Statement l_statement = manager.parse(new StringReader(statement));
			
			// Deparse: Obtain String
			StringBuffer l_strBuilder = new StringBuffer(statement.length() + 20);
			StatementDeParser l_deparser = new StatementDeParser(l_strBuilder);
			l_statement.accept(l_deparser);
		
			System.out.println("SUCCESS: " + l_strBuilder);
		} catch(Exception e) {
			System.out.println("FAILED: ");
			e.printStackTrace(System.out);
		}
	}
}
