/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.tool.sr;

import java.util.ArrayList;
import java.util.List;

public class DataConnection {
	// Assume autocommit = true.
	// Good implementations should ensure its value.
	private boolean i_autoCommit = true;
	private DataSequenceInstance i_currentSequence = null;
	private ArrayList<DataStatementInstance> i_liveStatements = new ArrayList<DataStatementInstance>();
	
	public DataConnection() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @return the autoCommit
	 */
	public boolean isAutoCommit() {
		return i_autoCommit;
	}

	/**
	 * @return the currentInstance
	 */
	public DataSequenceInstance getCurrentSequence() {
		return i_currentSequence;
	}

	/**
	 * @param autoCommit the autoCommit to set
	 */
	public void setAutoCommit(boolean autoCommit) {
		i_autoCommit = autoCommit;
	}

	/**
	 * @param sequence the currentInstance to set
	 */
	public void setCurrentSequence(DataSequenceInstance sequence) {
		i_currentSequence = sequence;
	}
	
	public void addLiveStatement(DataStatementInstance stI) {
		i_liveStatements.add(stI);
	}
	
	public <TList extends List<? super DataStatementInstance>> TList getLiveStatements(TList target) {
		target.addAll(i_liveStatements);
		return target;
	}
}
