/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.tool.sr;

import java.io.Serializable;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;

public class DataSequenceInstance implements Serializable {
	private static final long serialVersionUID = 1L;

	private static int s_idCounter = 0;
	private static DecimalFormat DF_ID = new DecimalFormat("'SR-seqI'0000");
	// ??
	// TODO Attached tx start locations
	// TODO Attached tx end locations
	private String i_srId;
	private DataConnection i_connData;
	protected ArrayList<DataStatementInstance> i_statements = new ArrayList<DataStatementInstance>();

	public DataSequenceInstance(DataConnection connData) {
		super();
		i_srId = DF_ID.format(s_idCounter++);
		i_connData = connData;
	}
	
	public void addStatement(DataStatementInstance statement) {
		i_statements.add(statement);
	}
	
	public <TList extends List<? super DataStatementInstance>> TList getStatements(TList targetList) {
		targetList.addAll(i_statements);
		return targetList;
	}
	
	public String getSrId() {
		return i_srId;
	}

	/**
	 * @return the connData
	 */
	public DataConnection getConnData() {
		return i_connData;
	}
	
}
