/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.tool.sr;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class SrDataSequence implements Serializable {
	private static final long serialVersionUID = 1L;

	// TODO Attached tx start locations
	// TODO Attached tx end locations
	protected ArrayList<SrDataStatement> i_statements = new ArrayList<SrDataStatement>();

	public SrDataSequence() {
		super();
	}
	
	protected void addStatement(SrDataStatement statement) {
		i_statements.add(statement);
	}
	
	protected List<? super SrDataStatement> getStatements(List<? super SrDataStatement> targetList) {
		targetList.addAll(i_statements);
		return targetList;
	}
}
