/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.cpn2;

import java.util.HashMap;
import java.util.Map;

public class ConnectionAdaptorContext {
	public static final String STATE_INITIAL = "initial";
	private String i_state = STATE_INITIAL;
	private Map<String, Object> i_properties = new HashMap<String, Object>();
	/**
	 * @return the state
	 */
	public String getState() {
		return i_state;
	}
	/**
	 * @param state the state to set
	 */
	public void setState(String state) {
		i_state = state;
	}
	
	public Object getCustom(String name) {
		return i_properties.get(name);
	}
	
	public void setCustom(String name, Object newValue) {
		i_properties.put(name, newValue);
	}

}
