/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.cpn2.log;

import ddbc.cpn2.JdbcMethod;
import ddbc.cpn2.log.CpLogger.Context;

public class ConnectionLogger {
	private CpLogger i_delegateLogger;
	private CpLogger.Context i_context;

	public ConnectionLogger(CpLogger delegateLogger, String connId) {
		super();
		i_delegateLogger = delegateLogger;
		i_context = new CpLogger.Context(connId);
	}
	
	public void logStart(String srcId, JdbcMethod method, Object ... parameters) {
		i_delegateLogger.logStart(i_context, srcId, method, parameters);
	}
	
	public void logFailure(String srcId, JdbcMethod method, Throwable t) {
		i_delegateLogger.logFailure(i_context, srcId, method, t);
	}
	
	public void logSuccess(String srcId, JdbcMethod method, Object result) {
		i_delegateLogger.logSuccess(i_context, srcId, method, result);
	}
	
	public void logCustom(String srcId, String tag, Object ... parameters) {
		i_delegateLogger.logCustom(i_context, srcId, tag, parameters);
	}

}
