/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.cpn2.log;

import ddbc.cpn2.JdbcMethod;

public class DataCallStart {
	private long i_startTime;
	private String i_callerId;
	private JdbcMethod i_method;
	private String i_custom;
	private Object[] i_parameters;

	protected DataCallStart(String callerId, JdbcMethod method, Object... parameters) {
		super();
		i_startTime = System.currentTimeMillis();
		i_callerId = callerId;
		i_custom = null;
		i_method = method;
		i_parameters = parameters;
	}

	/**
	 * @return the startTime
	 */
	public long getStartTime() {
		return i_startTime;
	}

	/**
	 * @return the callerId
	 */
	public String getCallerId() {
		return i_callerId;
	}

	/**
	 * @return the method
	 */
	public JdbcMethod getMethod() {
		return i_method;
	}

	/**
	 * @return the custom
	 */
	public String getCustom() {
		return i_custom;
	}

	/**
	 * @return the parameters
	 */
	public Object[] getParameters() {
		return i_parameters;
	}
	
}
