/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.cpn2.st;

import java.util.Map;

import ddbc.cpn2.impl.CpStatement;
import ddbc.commons.jdbc.JdbcUtils;

/**
 * Statement handler that sets the actual statement string in exchange of the emulated one.
 * @author F.Javier Aranda (fjarandag@gmail.com)
 */
public class HandlerLiteral extends BaseHandler {
	public static HandlerLiteral getInstance(Map<String,String> attributes, String cfgText) {
		// cfg is the replacement string.
		return new HandlerLiteral(attributes, JdbcUtils.normalizeString(cfgText));
	}

	private String i_replacementStatement;

	protected HandlerLiteral(Map<String,String> attributes, String replacementStatement) {
		super(attributes, "");
		i_replacementStatement = replacementStatement;
	}

	/* (non-Javadoc)
	 * @see ddbc.cpn2.st.BaseHandler#translateSql(ddbc.cpn2.impl.CpStatement, java.lang.String)
	 */
	@Override
	protected String translateSql(CpStatement stmt, String sql) {
		return i_replacementStatement;
	}


}
