/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.cpn2.st;

import java.util.Map;

import ddbc.cpn2.impl.CpStatement;
import ddbc.commons.jdbc.JdbcUtils;

public class MappingElement {
	private StatementMatcher i_matcher;
	private StatementHandler i_handler;
	
	private Map<String,String> i_attributes;
	
	public MappingElement(Map<String,String> attributes, String strData) {
		super();
		
		i_attributes = attributes;
	}
	
	/**
	 * @return the matcher
	 */
	public StatementMatcher getMatcher() {
		return i_matcher;
	}

	/**
	 * @param matcher the matcher to set
	 */
	public void setMatcher(StatementMatcher matcher) {
		i_matcher = matcher;
	}

	/**
	 * @param handler the handler to set
	 */
	public void setHandler(StatementHandler handler) {
		i_handler = handler;
	}
	
	public StatementHandler getHandler() {
		return i_handler;
	}
}