/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.cpn2.st;

import java.util.Map;

import ddbc.cpn2.StatementAdaptorContext;
import ddbc.cpn2.impl.CpStatement;

import ddbc.commons.jdbc.JdbcUtils;

public class MatcherEquals implements StatementMatcher {
	public static MatcherEquals getInstance(Map<String,String> attributes, String cfgText) {
		// cfg is the string to match.
		return new MatcherEquals(attributes, cfgText);
	}

	//private String[] i_acceptedStatements;
	//private String[][] i_acceptedCorrelatedStates;
	protected Map<String,String> i_attributes;
	protected String i_normalizedStr;

	protected MatcherEquals() {
		super();
	}
	
	public MatcherEquals(Map<String,String> attributes, String strStatement) {
		super();
		
		i_attributes = attributes;
		i_normalizedStr = JdbcUtils.normalizeString(strStatement);
	}
	
	public boolean matches(CpStatement stmt) {
		StatementAdaptorContext stmtCtx = stmt.cpContext();
		String l_normalized = JdbcUtils.normalizeString(stmtCtx.getStrStatement());
		return i_normalizedStr.equals(l_normalized) &&
				StUtils.matchesStateFrom(stmt, i_attributes);
	}

// TODO Introduce capability for multiple statements
// TODO Introduce feature for statement mapping, and filtering statement keywords.
//	public boolean matches(CpStatement stmt) {
//		String l_strStatement = JdbcUtils.normalizeString(stmt.cpContext().getStrStatement());
//		String l_state = stmt.cpConnection().cpContext().getState();
//		for (int i = 0; i < i_acceptedStatements.length; i++) {
//			if (l_strStatement.equals(i_acceptedStatements[i])) {
//				String[] l_acceptedStates = i_acceptedCorrelatedStates[i];
//				if (l_acceptedStates[0].equals("ANY")) {
//					return true;
//				}
//				for (String l_acceptedState : l_acceptedStates) {
//					if (l_acceptedState.equals(l_state)) {
//						return true;
//					}
//				}
//				// Matching sql, not matching state. Not worth continuing.
//				break;
//			}
//		}
//		// Not found.
//		return false;
//	}
//	
//	public String[] getNorms() {
//	return i_acceptedStatements.clone();
//}
//

}
