/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.cpn2.st;

import java.util.Map;
import java.util.regex.Pattern;

import ddbc.cpn2.impl.CpStatement;


// LOW_PRIORITY May be interesting to match one of many patterns.
public class MatcherRegex implements StatementMatcher {

	public static MatcherRegex getInstance(Map<String,String> attributes, String cfgText) {
		return new MatcherRegex(attributes, cfgText);
	}
	protected Map<String,String> i_attributes;
	protected Pattern i_patternMatch;

	protected MatcherRegex() {
		super();
	}
	
	public MatcherRegex(Map<String,String> attributes, String regexMatch) {
		super();
		
		i_attributes = attributes;
		i_patternMatch = Pattern.compile(regexMatch, Pattern.CASE_INSENSITIVE );
	}

	public boolean matches(CpStatement stmt) {
		String l_strStatement = stmt.cpContext().getStrStatement();
		return i_patternMatch.matcher(l_strStatement).matches() &&
				StUtils.matchesStateFrom(stmt, i_attributes);
	}

}
