/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.cpn2.st;

import java.util.Collections;
import java.util.Map;

import ddbc.cpn2.impl.CpStatement;
import ddbc.commons.util.FCollections;
import ddbc.commons.util.Strings;

public class StUtils {

	public static final String STATE_INITIAL = "initial";
	public static final String ATT_FROMSTATE = "fromState";
	public static final String ATT_TOSTATE = "toState";
	
	public static Map<String,String> ATTRIBUTES_FROMSTATE_INITIAL =
	Collections.unmodifiableMap(FCollections.newHashMap("fromState","initial"));
	
	public static Map<String,String> ATTRIBUTES_TOSTATE_INITIAL =
	Collections.unmodifiableMap(FCollections.newHashMap("toState","initial"));

	public static boolean matchesStateFrom(CpStatement stmt,
			Map<String, String> attributes) {
		String l_strFromState = attributes.get("fromState");
		if (Strings.isEmpty(l_strFromState)) {
			l_strFromState = "initial";
		}
		// LOW_PRIORITY Maybe should handle an "any" previous state, or a set of states.
		return l_strFromState.equals(stmt.cpConnection().cpContext().getState());
	}

}
