/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.cpn2.st;

import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import ddbc.cpn2.CpUtils;
import ddbc.cpn2.JdbcMethod;
import ddbc.cpn2.impl.CpConnection;
import ddbc.cpn2.impl.CpPreparedStatement;
import ddbc.cpn2.impl.CpStatement;
import ddbc.commons.util.FCollections;

public interface StatementHandler {

	public void applyParam(CpPreparedStatement ps, JdbcMethod method, int paramIdx, Object ... moreParams) throws SQLException;

	public void applyStart(CpPreparedStatement ps, JdbcMethod method, String sql, Object ... moreParams) throws SQLException;

	public Object executePs(CpPreparedStatement ps, JdbcMethod method, Object ... moreParams) throws SQLException;

	public Object executeStmt(CpStatement stmt, JdbcMethod method, String sql, Object ... moreParams) throws SQLException;

	public ResultSet getGeneratedKeys(CpStatement stmt) throws SQLException;

	public ResultSet getResultSet(CpStatement stmt) throws SQLException;

}
