/**
 * 
 */
package ddbc.impl;

import java.sql.*;

/**
 * Decorator for sql.DatabaseMetaData.
 * @author F.Javier Aranda (fjarandag@gmail.com)
 *
 */
public class DDatabaseMetaData implements DatabaseMetaData {
	private DatabaseMetaData i_decorated;

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#allProceduresAreCallable()
	 */
	public boolean allProceduresAreCallable() throws SQLException {
		return i_decorated.allProceduresAreCallable();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#allTablesAreSelectable()
	 */
	public boolean allTablesAreSelectable() throws SQLException {
		return i_decorated.allTablesAreSelectable();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#autoCommitFailureClosesAllResultSets()
	 */
	public boolean autoCommitFailureClosesAllResultSets() throws SQLException {
		return i_decorated.autoCommitFailureClosesAllResultSets();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#dataDefinitionCausesTransactionCommit()
	 */
	public boolean dataDefinitionCausesTransactionCommit() throws SQLException {
		return i_decorated.dataDefinitionCausesTransactionCommit();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#dataDefinitionIgnoredInTransactions()
	 */
	public boolean dataDefinitionIgnoredInTransactions() throws SQLException {
		return i_decorated.dataDefinitionIgnoredInTransactions();
	}

	/**
	 * @param a_type
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#deletesAreDetected(int)
	 */
	public boolean deletesAreDetected(int a_type) throws SQLException {
		return i_decorated.deletesAreDetected(a_type);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#doesMaxRowSizeIncludeBlobs()
	 */
	public boolean doesMaxRowSizeIncludeBlobs() throws SQLException {
		return i_decorated.doesMaxRowSizeIncludeBlobs();
	}

	/**
	 * @param a_catalog
	 * @param a_schemaPattern
	 * @param a_typeNamePattern
	 * @param a_attributeNamePattern
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getAttributes(java.lang.String, java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getAttributes(String a_catalog, String a_schemaPattern,
			String a_typeNamePattern, String a_attributeNamePattern)
			throws SQLException {
		return i_decorated.getAttributes(a_catalog, a_schemaPattern,
				a_typeNamePattern, a_attributeNamePattern);
	}

	/**
	 * @param a_catalog
	 * @param a_schema
	 * @param a_table
	 * @param a_scope
	 * @param a_nullable
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getBestRowIdentifier(java.lang.String, java.lang.String, java.lang.String, int, boolean)
	 */
	public ResultSet getBestRowIdentifier(String a_catalog, String a_schema,
			String a_table, int a_scope, boolean a_nullable)
			throws SQLException {
		return i_decorated.getBestRowIdentifier(a_catalog, a_schema, a_table,
				a_scope, a_nullable);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getCatalogs()
	 */
	public ResultSet getCatalogs() throws SQLException {
		return i_decorated.getCatalogs();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getCatalogSeparator()
	 */
	public String getCatalogSeparator() throws SQLException {
		return i_decorated.getCatalogSeparator();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getCatalogTerm()
	 */
	public String getCatalogTerm() throws SQLException {
		return i_decorated.getCatalogTerm();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getClientInfoProperties()
	 */
	public ResultSet getClientInfoProperties() throws SQLException {
		return i_decorated.getClientInfoProperties();
	}

	/**
	 * @param a_catalog
	 * @param a_schema
	 * @param a_table
	 * @param a_columnNamePattern
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getColumnPrivileges(java.lang.String, java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getColumnPrivileges(String a_catalog, String a_schema,
			String a_table, String a_columnNamePattern) throws SQLException {
		return i_decorated.getColumnPrivileges(a_catalog, a_schema, a_table,
				a_columnNamePattern);
	}

	/**
	 * @param a_catalog
	 * @param a_schemaPattern
	 * @param a_tableNamePattern
	 * @param a_columnNamePattern
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getColumns(java.lang.String, java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getColumns(String a_catalog, String a_schemaPattern,
			String a_tableNamePattern, String a_columnNamePattern)
			throws SQLException {
		return i_decorated.getColumns(a_catalog, a_schemaPattern,
				a_tableNamePattern, a_columnNamePattern);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getConnection()
	 */
	public Connection getConnection() throws SQLException {
		return i_decorated.getConnection();
	}

	/**
	 * @param a_parentCatalog
	 * @param a_parentSchema
	 * @param a_parentTable
	 * @param a_foreignCatalog
	 * @param a_foreignSchema
	 * @param a_foreignTable
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getCrossReference(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getCrossReference(String a_parentCatalog,
			String a_parentSchema, String a_parentTable,
			String a_foreignCatalog, String a_foreignSchema,
			String a_foreignTable) throws SQLException {
		return i_decorated.getCrossReference(a_parentCatalog, a_parentSchema,
				a_parentTable, a_foreignCatalog, a_foreignSchema,
				a_foreignTable);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getDatabaseMajorVersion()
	 */
	public int getDatabaseMajorVersion() throws SQLException {
		return i_decorated.getDatabaseMajorVersion();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getDatabaseMinorVersion()
	 */
	public int getDatabaseMinorVersion() throws SQLException {
		return i_decorated.getDatabaseMinorVersion();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getDatabaseProductName()
	 */
	public String getDatabaseProductName() throws SQLException {
		return i_decorated.getDatabaseProductName();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getDatabaseProductVersion()
	 */
	public String getDatabaseProductVersion() throws SQLException {
		return i_decorated.getDatabaseProductVersion();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getDefaultTransactionIsolation()
	 */
	public int getDefaultTransactionIsolation() throws SQLException {
		return i_decorated.getDefaultTransactionIsolation();
	}

	/**
	 * @return
	 * @see java.sql.DatabaseMetaData#getDriverMajorVersion()
	 */
	public int getDriverMajorVersion() {
		return i_decorated.getDriverMajorVersion();
	}

	/**
	 * @return
	 * @see java.sql.DatabaseMetaData#getDriverMinorVersion()
	 */
	public int getDriverMinorVersion() {
		return i_decorated.getDriverMinorVersion();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getDriverName()
	 */
	public String getDriverName() throws SQLException {
		return i_decorated.getDriverName();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getDriverVersion()
	 */
	public String getDriverVersion() throws SQLException {
		return i_decorated.getDriverVersion();
	}

	/**
	 * @param a_catalog
	 * @param a_schema
	 * @param a_table
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getExportedKeys(java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getExportedKeys(String a_catalog, String a_schema,
			String a_table) throws SQLException {
		return i_decorated.getExportedKeys(a_catalog, a_schema, a_table);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getExtraNameCharacters()
	 */
	public String getExtraNameCharacters() throws SQLException {
		return i_decorated.getExtraNameCharacters();
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @param a_arg3
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getFunctionColumns(java.lang.String, java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getFunctionColumns(String a_arg0, String a_arg1,
			String a_arg2, String a_arg3) throws SQLException {
		return i_decorated.getFunctionColumns(a_arg0, a_arg1, a_arg2, a_arg3);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getFunctions(java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getFunctions(String a_arg0, String a_arg1, String a_arg2)
			throws SQLException {
		return i_decorated.getFunctions(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getIdentifierQuoteString()
	 */
	public String getIdentifierQuoteString() throws SQLException {
		return i_decorated.getIdentifierQuoteString();
	}

	/**
	 * @param a_catalog
	 * @param a_schema
	 * @param a_table
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getImportedKeys(java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getImportedKeys(String a_catalog, String a_schema,
			String a_table) throws SQLException {
		return i_decorated.getImportedKeys(a_catalog, a_schema, a_table);
	}

	/**
	 * @param a_catalog
	 * @param a_schema
	 * @param a_table
	 * @param a_unique
	 * @param a_approximate
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getIndexInfo(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)
	 */
	public ResultSet getIndexInfo(String a_catalog, String a_schema,
			String a_table, boolean a_unique, boolean a_approximate)
			throws SQLException {
		return i_decorated.getIndexInfo(a_catalog, a_schema, a_table, a_unique,
				a_approximate);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getJDBCMajorVersion()
	 */
	public int getJDBCMajorVersion() throws SQLException {
		return i_decorated.getJDBCMajorVersion();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getJDBCMinorVersion()
	 */
	public int getJDBCMinorVersion() throws SQLException {
		return i_decorated.getJDBCMinorVersion();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxBinaryLiteralLength()
	 */
	public int getMaxBinaryLiteralLength() throws SQLException {
		return i_decorated.getMaxBinaryLiteralLength();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxCatalogNameLength()
	 */
	public int getMaxCatalogNameLength() throws SQLException {
		return i_decorated.getMaxCatalogNameLength();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxCharLiteralLength()
	 */
	public int getMaxCharLiteralLength() throws SQLException {
		return i_decorated.getMaxCharLiteralLength();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxColumnNameLength()
	 */
	public int getMaxColumnNameLength() throws SQLException {
		return i_decorated.getMaxColumnNameLength();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxColumnsInGroupBy()
	 */
	public int getMaxColumnsInGroupBy() throws SQLException {
		return i_decorated.getMaxColumnsInGroupBy();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxColumnsInIndex()
	 */
	public int getMaxColumnsInIndex() throws SQLException {
		return i_decorated.getMaxColumnsInIndex();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxColumnsInOrderBy()
	 */
	public int getMaxColumnsInOrderBy() throws SQLException {
		return i_decorated.getMaxColumnsInOrderBy();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxColumnsInSelect()
	 */
	public int getMaxColumnsInSelect() throws SQLException {
		return i_decorated.getMaxColumnsInSelect();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxColumnsInTable()
	 */
	public int getMaxColumnsInTable() throws SQLException {
		return i_decorated.getMaxColumnsInTable();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxConnections()
	 */
	public int getMaxConnections() throws SQLException {
		return i_decorated.getMaxConnections();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxCursorNameLength()
	 */
	public int getMaxCursorNameLength() throws SQLException {
		return i_decorated.getMaxCursorNameLength();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxIndexLength()
	 */
	public int getMaxIndexLength() throws SQLException {
		return i_decorated.getMaxIndexLength();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxProcedureNameLength()
	 */
	public int getMaxProcedureNameLength() throws SQLException {
		return i_decorated.getMaxProcedureNameLength();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxRowSize()
	 */
	public int getMaxRowSize() throws SQLException {
		return i_decorated.getMaxRowSize();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxSchemaNameLength()
	 */
	public int getMaxSchemaNameLength() throws SQLException {
		return i_decorated.getMaxSchemaNameLength();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxStatementLength()
	 */
	public int getMaxStatementLength() throws SQLException {
		return i_decorated.getMaxStatementLength();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxStatements()
	 */
	public int getMaxStatements() throws SQLException {
		return i_decorated.getMaxStatements();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxTableNameLength()
	 */
	public int getMaxTableNameLength() throws SQLException {
		return i_decorated.getMaxTableNameLength();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxTablesInSelect()
	 */
	public int getMaxTablesInSelect() throws SQLException {
		return i_decorated.getMaxTablesInSelect();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getMaxUserNameLength()
	 */
	public int getMaxUserNameLength() throws SQLException {
		return i_decorated.getMaxUserNameLength();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getNumericFunctions()
	 */
	public String getNumericFunctions() throws SQLException {
		return i_decorated.getNumericFunctions();
	}

	/**
	 * @param a_catalog
	 * @param a_schema
	 * @param a_table
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getPrimaryKeys(java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getPrimaryKeys(String a_catalog, String a_schema,
			String a_table) throws SQLException {
		return i_decorated.getPrimaryKeys(a_catalog, a_schema, a_table);
	}

	/**
	 * @param a_catalog
	 * @param a_schemaPattern
	 * @param a_procedureNamePattern
	 * @param a_columnNamePattern
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getProcedureColumns(java.lang.String, java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getProcedureColumns(String a_catalog,
			String a_schemaPattern, String a_procedureNamePattern,
			String a_columnNamePattern) throws SQLException {
		return i_decorated.getProcedureColumns(a_catalog, a_schemaPattern,
				a_procedureNamePattern, a_columnNamePattern);
	}

	/**
	 * @param a_catalog
	 * @param a_schemaPattern
	 * @param a_procedureNamePattern
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getProcedures(java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getProcedures(String a_catalog, String a_schemaPattern,
			String a_procedureNamePattern) throws SQLException {
		return i_decorated.getProcedures(a_catalog, a_schemaPattern,
				a_procedureNamePattern);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getProcedureTerm()
	 */
	public String getProcedureTerm() throws SQLException {
		return i_decorated.getProcedureTerm();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getResultSetHoldability()
	 */
	public int getResultSetHoldability() throws SQLException {
		return i_decorated.getResultSetHoldability();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getRowIdLifetime()
	 */
	public RowIdLifetime getRowIdLifetime() throws SQLException {
		return i_decorated.getRowIdLifetime();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getSchemas()
	 */
	public ResultSet getSchemas() throws SQLException {
		return i_decorated.getSchemas();
	}

	/**
	 * @param a_catalog
	 * @param a_schemaPattern
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getSchemas(java.lang.String, java.lang.String)
	 */
	public ResultSet getSchemas(String a_catalog, String a_schemaPattern)
			throws SQLException {
		return i_decorated.getSchemas(a_catalog, a_schemaPattern);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getSchemaTerm()
	 */
	public String getSchemaTerm() throws SQLException {
		return i_decorated.getSchemaTerm();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getSearchStringEscape()
	 */
	public String getSearchStringEscape() throws SQLException {
		return i_decorated.getSearchStringEscape();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getSQLKeywords()
	 */
	public String getSQLKeywords() throws SQLException {
		return i_decorated.getSQLKeywords();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getSQLStateType()
	 */
	public int getSQLStateType() throws SQLException {
		return i_decorated.getSQLStateType();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getStringFunctions()
	 */
	public String getStringFunctions() throws SQLException {
		return i_decorated.getStringFunctions();
	}

	/**
	 * @param a_catalog
	 * @param a_schemaPattern
	 * @param a_tableNamePattern
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getSuperTables(java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getSuperTables(String a_catalog, String a_schemaPattern,
			String a_tableNamePattern) throws SQLException {
		return i_decorated.getSuperTables(a_catalog, a_schemaPattern,
				a_tableNamePattern);
	}

	/**
	 * @param a_catalog
	 * @param a_schemaPattern
	 * @param a_typeNamePattern
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getSuperTypes(java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getSuperTypes(String a_catalog, String a_schemaPattern,
			String a_typeNamePattern) throws SQLException {
		return i_decorated.getSuperTypes(a_catalog, a_schemaPattern,
				a_typeNamePattern);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getSystemFunctions()
	 */
	public String getSystemFunctions() throws SQLException {
		return i_decorated.getSystemFunctions();
	}

	/**
	 * @param a_catalog
	 * @param a_schemaPattern
	 * @param a_tableNamePattern
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getTablePrivileges(java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getTablePrivileges(String a_catalog,
			String a_schemaPattern, String a_tableNamePattern)
			throws SQLException {
		return i_decorated.getTablePrivileges(a_catalog, a_schemaPattern,
				a_tableNamePattern);
	}

	/**
	 * @param a_catalog
	 * @param a_schemaPattern
	 * @param a_tableNamePattern
	 * @param a_types
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getTables(java.lang.String, java.lang.String, java.lang.String, java.lang.String[])
	 */
	public ResultSet getTables(String a_catalog, String a_schemaPattern,
			String a_tableNamePattern, String[] a_types) throws SQLException {
		return i_decorated.getTables(a_catalog, a_schemaPattern,
				a_tableNamePattern, a_types);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getTableTypes()
	 */
	public ResultSet getTableTypes() throws SQLException {
		return i_decorated.getTableTypes();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getTimeDateFunctions()
	 */
	public String getTimeDateFunctions() throws SQLException {
		return i_decorated.getTimeDateFunctions();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getTypeInfo()
	 */
	public ResultSet getTypeInfo() throws SQLException {
		return i_decorated.getTypeInfo();
	}

	/**
	 * @param a_catalog
	 * @param a_schemaPattern
	 * @param a_typeNamePattern
	 * @param a_types
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getUDTs(java.lang.String, java.lang.String, java.lang.String, int[])
	 */
	public ResultSet getUDTs(String a_catalog, String a_schemaPattern,
			String a_typeNamePattern, int[] a_types) throws SQLException {
		return i_decorated.getUDTs(a_catalog, a_schemaPattern,
				a_typeNamePattern, a_types);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getURL()
	 */
	public String getURL() throws SQLException {
		return i_decorated.getURL();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getUserName()
	 */
	public String getUserName() throws SQLException {
		return i_decorated.getUserName();
	}

	/**
	 * @param a_catalog
	 * @param a_schema
	 * @param a_table
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#getVersionColumns(java.lang.String, java.lang.String, java.lang.String)
	 */
	public ResultSet getVersionColumns(String a_catalog, String a_schema,
			String a_table) throws SQLException {
		return i_decorated.getVersionColumns(a_catalog, a_schema, a_table);
	}

	/**
	 * @param a_type
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#insertsAreDetected(int)
	 */
	public boolean insertsAreDetected(int a_type) throws SQLException {
		return i_decorated.insertsAreDetected(a_type);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#isCatalogAtStart()
	 */
	public boolean isCatalogAtStart() throws SQLException {
		return i_decorated.isCatalogAtStart();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#isReadOnly()
	 */
	public boolean isReadOnly() throws SQLException {
		return i_decorated.isReadOnly();
	}

	/**
	 * @param a_iface
	 * @return
	 * @throws SQLException
	 * @see java.sql.Wrapper#isWrapperFor(java.lang.Class)
	 */
	public boolean isWrapperFor(Class<?> a_iface) throws SQLException {
		return i_decorated.isWrapperFor(a_iface);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#locatorsUpdateCopy()
	 */
	public boolean locatorsUpdateCopy() throws SQLException {
		return i_decorated.locatorsUpdateCopy();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#nullPlusNonNullIsNull()
	 */
	public boolean nullPlusNonNullIsNull() throws SQLException {
		return i_decorated.nullPlusNonNullIsNull();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#nullsAreSortedAtEnd()
	 */
	public boolean nullsAreSortedAtEnd() throws SQLException {
		return i_decorated.nullsAreSortedAtEnd();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#nullsAreSortedAtStart()
	 */
	public boolean nullsAreSortedAtStart() throws SQLException {
		return i_decorated.nullsAreSortedAtStart();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#nullsAreSortedHigh()
	 */
	public boolean nullsAreSortedHigh() throws SQLException {
		return i_decorated.nullsAreSortedHigh();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#nullsAreSortedLow()
	 */
	public boolean nullsAreSortedLow() throws SQLException {
		return i_decorated.nullsAreSortedLow();
	}

	/**
	 * @param a_type
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#othersDeletesAreVisible(int)
	 */
	public boolean othersDeletesAreVisible(int a_type) throws SQLException {
		return i_decorated.othersDeletesAreVisible(a_type);
	}

	/**
	 * @param a_type
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#othersInsertsAreVisible(int)
	 */
	public boolean othersInsertsAreVisible(int a_type) throws SQLException {
		return i_decorated.othersInsertsAreVisible(a_type);
	}

	/**
	 * @param a_type
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#othersUpdatesAreVisible(int)
	 */
	public boolean othersUpdatesAreVisible(int a_type) throws SQLException {
		return i_decorated.othersUpdatesAreVisible(a_type);
	}

	/**
	 * @param a_type
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#ownDeletesAreVisible(int)
	 */
	public boolean ownDeletesAreVisible(int a_type) throws SQLException {
		return i_decorated.ownDeletesAreVisible(a_type);
	}

	/**
	 * @param a_type
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#ownInsertsAreVisible(int)
	 */
	public boolean ownInsertsAreVisible(int a_type) throws SQLException {
		return i_decorated.ownInsertsAreVisible(a_type);
	}

	/**
	 * @param a_type
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#ownUpdatesAreVisible(int)
	 */
	public boolean ownUpdatesAreVisible(int a_type) throws SQLException {
		return i_decorated.ownUpdatesAreVisible(a_type);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#storesLowerCaseIdentifiers()
	 */
	public boolean storesLowerCaseIdentifiers() throws SQLException {
		return i_decorated.storesLowerCaseIdentifiers();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#storesLowerCaseQuotedIdentifiers()
	 */
	public boolean storesLowerCaseQuotedIdentifiers() throws SQLException {
		return i_decorated.storesLowerCaseQuotedIdentifiers();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#storesMixedCaseIdentifiers()
	 */
	public boolean storesMixedCaseIdentifiers() throws SQLException {
		return i_decorated.storesMixedCaseIdentifiers();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#storesMixedCaseQuotedIdentifiers()
	 */
	public boolean storesMixedCaseQuotedIdentifiers() throws SQLException {
		return i_decorated.storesMixedCaseQuotedIdentifiers();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#storesUpperCaseIdentifiers()
	 */
	public boolean storesUpperCaseIdentifiers() throws SQLException {
		return i_decorated.storesUpperCaseIdentifiers();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#storesUpperCaseQuotedIdentifiers()
	 */
	public boolean storesUpperCaseQuotedIdentifiers() throws SQLException {
		return i_decorated.storesUpperCaseQuotedIdentifiers();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsAlterTableWithAddColumn()
	 */
	public boolean supportsAlterTableWithAddColumn() throws SQLException {
		return i_decorated.supportsAlterTableWithAddColumn();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsAlterTableWithDropColumn()
	 */
	public boolean supportsAlterTableWithDropColumn() throws SQLException {
		return i_decorated.supportsAlterTableWithDropColumn();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsANSI92EntryLevelSQL()
	 */
	public boolean supportsANSI92EntryLevelSQL() throws SQLException {
		return i_decorated.supportsANSI92EntryLevelSQL();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsANSI92FullSQL()
	 */
	public boolean supportsANSI92FullSQL() throws SQLException {
		return i_decorated.supportsANSI92FullSQL();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsANSI92IntermediateSQL()
	 */
	public boolean supportsANSI92IntermediateSQL() throws SQLException {
		return i_decorated.supportsANSI92IntermediateSQL();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsBatchUpdates()
	 */
	public boolean supportsBatchUpdates() throws SQLException {
		return i_decorated.supportsBatchUpdates();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsCatalogsInDataManipulation()
	 */
	public boolean supportsCatalogsInDataManipulation() throws SQLException {
		return i_decorated.supportsCatalogsInDataManipulation();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsCatalogsInIndexDefinitions()
	 */
	public boolean supportsCatalogsInIndexDefinitions() throws SQLException {
		return i_decorated.supportsCatalogsInIndexDefinitions();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsCatalogsInPrivilegeDefinitions()
	 */
	public boolean supportsCatalogsInPrivilegeDefinitions() throws SQLException {
		return i_decorated.supportsCatalogsInPrivilegeDefinitions();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsCatalogsInProcedureCalls()
	 */
	public boolean supportsCatalogsInProcedureCalls() throws SQLException {
		return i_decorated.supportsCatalogsInProcedureCalls();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsCatalogsInTableDefinitions()
	 */
	public boolean supportsCatalogsInTableDefinitions() throws SQLException {
		return i_decorated.supportsCatalogsInTableDefinitions();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsColumnAliasing()
	 */
	public boolean supportsColumnAliasing() throws SQLException {
		return i_decorated.supportsColumnAliasing();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsConvert()
	 */
	public boolean supportsConvert() throws SQLException {
		return i_decorated.supportsConvert();
	}

	/**
	 * @param a_fromType
	 * @param a_toType
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsConvert(int, int)
	 */
	public boolean supportsConvert(int a_fromType, int a_toType)
			throws SQLException {
		return i_decorated.supportsConvert(a_fromType, a_toType);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsCoreSQLGrammar()
	 */
	public boolean supportsCoreSQLGrammar() throws SQLException {
		return i_decorated.supportsCoreSQLGrammar();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsCorrelatedSubqueries()
	 */
	public boolean supportsCorrelatedSubqueries() throws SQLException {
		return i_decorated.supportsCorrelatedSubqueries();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsDataDefinitionAndDataManipulationTransactions()
	 */
	public boolean supportsDataDefinitionAndDataManipulationTransactions()
			throws SQLException {
		return i_decorated
				.supportsDataDefinitionAndDataManipulationTransactions();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsDataManipulationTransactionsOnly()
	 */
	public boolean supportsDataManipulationTransactionsOnly()
			throws SQLException {
		return i_decorated.supportsDataManipulationTransactionsOnly();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsDifferentTableCorrelationNames()
	 */
	public boolean supportsDifferentTableCorrelationNames() throws SQLException {
		return i_decorated.supportsDifferentTableCorrelationNames();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsExpressionsInOrderBy()
	 */
	public boolean supportsExpressionsInOrderBy() throws SQLException {
		return i_decorated.supportsExpressionsInOrderBy();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsExtendedSQLGrammar()
	 */
	public boolean supportsExtendedSQLGrammar() throws SQLException {
		return i_decorated.supportsExtendedSQLGrammar();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsFullOuterJoins()
	 */
	public boolean supportsFullOuterJoins() throws SQLException {
		return i_decorated.supportsFullOuterJoins();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsGetGeneratedKeys()
	 */
	public boolean supportsGetGeneratedKeys() throws SQLException {
		return i_decorated.supportsGetGeneratedKeys();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsGroupBy()
	 */
	public boolean supportsGroupBy() throws SQLException {
		return i_decorated.supportsGroupBy();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsGroupByBeyondSelect()
	 */
	public boolean supportsGroupByBeyondSelect() throws SQLException {
		return i_decorated.supportsGroupByBeyondSelect();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsGroupByUnrelated()
	 */
	public boolean supportsGroupByUnrelated() throws SQLException {
		return i_decorated.supportsGroupByUnrelated();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsIntegrityEnhancementFacility()
	 */
	public boolean supportsIntegrityEnhancementFacility() throws SQLException {
		return i_decorated.supportsIntegrityEnhancementFacility();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsLikeEscapeClause()
	 */
	public boolean supportsLikeEscapeClause() throws SQLException {
		return i_decorated.supportsLikeEscapeClause();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsLimitedOuterJoins()
	 */
	public boolean supportsLimitedOuterJoins() throws SQLException {
		return i_decorated.supportsLimitedOuterJoins();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsMinimumSQLGrammar()
	 */
	public boolean supportsMinimumSQLGrammar() throws SQLException {
		return i_decorated.supportsMinimumSQLGrammar();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsMixedCaseIdentifiers()
	 */
	public boolean supportsMixedCaseIdentifiers() throws SQLException {
		return i_decorated.supportsMixedCaseIdentifiers();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsMixedCaseQuotedIdentifiers()
	 */
	public boolean supportsMixedCaseQuotedIdentifiers() throws SQLException {
		return i_decorated.supportsMixedCaseQuotedIdentifiers();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsMultipleOpenResults()
	 */
	public boolean supportsMultipleOpenResults() throws SQLException {
		return i_decorated.supportsMultipleOpenResults();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsMultipleResultSets()
	 */
	public boolean supportsMultipleResultSets() throws SQLException {
		return i_decorated.supportsMultipleResultSets();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsMultipleTransactions()
	 */
	public boolean supportsMultipleTransactions() throws SQLException {
		return i_decorated.supportsMultipleTransactions();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsNamedParameters()
	 */
	public boolean supportsNamedParameters() throws SQLException {
		return i_decorated.supportsNamedParameters();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsNonNullableColumns()
	 */
	public boolean supportsNonNullableColumns() throws SQLException {
		return i_decorated.supportsNonNullableColumns();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsOpenCursorsAcrossCommit()
	 */
	public boolean supportsOpenCursorsAcrossCommit() throws SQLException {
		return i_decorated.supportsOpenCursorsAcrossCommit();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsOpenCursorsAcrossRollback()
	 */
	public boolean supportsOpenCursorsAcrossRollback() throws SQLException {
		return i_decorated.supportsOpenCursorsAcrossRollback();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsOpenStatementsAcrossCommit()
	 */
	public boolean supportsOpenStatementsAcrossCommit() throws SQLException {
		return i_decorated.supportsOpenStatementsAcrossCommit();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsOpenStatementsAcrossRollback()
	 */
	public boolean supportsOpenStatementsAcrossRollback() throws SQLException {
		return i_decorated.supportsOpenStatementsAcrossRollback();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsOrderByUnrelated()
	 */
	public boolean supportsOrderByUnrelated() throws SQLException {
		return i_decorated.supportsOrderByUnrelated();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsOuterJoins()
	 */
	public boolean supportsOuterJoins() throws SQLException {
		return i_decorated.supportsOuterJoins();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsPositionedDelete()
	 */
	public boolean supportsPositionedDelete() throws SQLException {
		return i_decorated.supportsPositionedDelete();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsPositionedUpdate()
	 */
	public boolean supportsPositionedUpdate() throws SQLException {
		return i_decorated.supportsPositionedUpdate();
	}

	/**
	 * @param a_type
	 * @param a_concurrency
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsResultSetConcurrency(int, int)
	 */
	public boolean supportsResultSetConcurrency(int a_type, int a_concurrency)
			throws SQLException {
		return i_decorated.supportsResultSetConcurrency(a_type, a_concurrency);
	}

	/**
	 * @param a_holdability
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsResultSetHoldability(int)
	 */
	public boolean supportsResultSetHoldability(int a_holdability)
			throws SQLException {
		return i_decorated.supportsResultSetHoldability(a_holdability);
	}

	/**
	 * @param a_type
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsResultSetType(int)
	 */
	public boolean supportsResultSetType(int a_type) throws SQLException {
		return i_decorated.supportsResultSetType(a_type);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsSavepoints()
	 */
	public boolean supportsSavepoints() throws SQLException {
		return i_decorated.supportsSavepoints();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsSchemasInDataManipulation()
	 */
	public boolean supportsSchemasInDataManipulation() throws SQLException {
		return i_decorated.supportsSchemasInDataManipulation();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsSchemasInIndexDefinitions()
	 */
	public boolean supportsSchemasInIndexDefinitions() throws SQLException {
		return i_decorated.supportsSchemasInIndexDefinitions();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsSchemasInPrivilegeDefinitions()
	 */
	public boolean supportsSchemasInPrivilegeDefinitions() throws SQLException {
		return i_decorated.supportsSchemasInPrivilegeDefinitions();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsSchemasInProcedureCalls()
	 */
	public boolean supportsSchemasInProcedureCalls() throws SQLException {
		return i_decorated.supportsSchemasInProcedureCalls();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsSchemasInTableDefinitions()
	 */
	public boolean supportsSchemasInTableDefinitions() throws SQLException {
		return i_decorated.supportsSchemasInTableDefinitions();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsSelectForUpdate()
	 */
	public boolean supportsSelectForUpdate() throws SQLException {
		return i_decorated.supportsSelectForUpdate();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsStatementPooling()
	 */
	public boolean supportsStatementPooling() throws SQLException {
		return i_decorated.supportsStatementPooling();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsStoredFunctionsUsingCallSyntax()
	 */
	public boolean supportsStoredFunctionsUsingCallSyntax() throws SQLException {
		return i_decorated.supportsStoredFunctionsUsingCallSyntax();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsStoredProcedures()
	 */
	public boolean supportsStoredProcedures() throws SQLException {
		return i_decorated.supportsStoredProcedures();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsSubqueriesInComparisons()
	 */
	public boolean supportsSubqueriesInComparisons() throws SQLException {
		return i_decorated.supportsSubqueriesInComparisons();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsSubqueriesInExists()
	 */
	public boolean supportsSubqueriesInExists() throws SQLException {
		return i_decorated.supportsSubqueriesInExists();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsSubqueriesInIns()
	 */
	public boolean supportsSubqueriesInIns() throws SQLException {
		return i_decorated.supportsSubqueriesInIns();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsSubqueriesInQuantifieds()
	 */
	public boolean supportsSubqueriesInQuantifieds() throws SQLException {
		return i_decorated.supportsSubqueriesInQuantifieds();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsTableCorrelationNames()
	 */
	public boolean supportsTableCorrelationNames() throws SQLException {
		return i_decorated.supportsTableCorrelationNames();
	}

	/**
	 * @param a_level
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsTransactionIsolationLevel(int)
	 */
	public boolean supportsTransactionIsolationLevel(int a_level)
			throws SQLException {
		return i_decorated.supportsTransactionIsolationLevel(a_level);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsTransactions()
	 */
	public boolean supportsTransactions() throws SQLException {
		return i_decorated.supportsTransactions();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsUnion()
	 */
	public boolean supportsUnion() throws SQLException {
		return i_decorated.supportsUnion();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#supportsUnionAll()
	 */
	public boolean supportsUnionAll() throws SQLException {
		return i_decorated.supportsUnionAll();
	}

	/**
	 * @param <T>
	 * @param a_arg0
	 * @return
	 * @throws SQLException
	 * @see java.sql.Wrapper#unwrap(java.lang.Class)
	 */
	public <T> T unwrap(Class<T> a_arg0) throws SQLException {
		return i_decorated.unwrap(a_arg0);
	}

	/**
	 * @param a_type
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#updatesAreDetected(int)
	 */
	public boolean updatesAreDetected(int a_type) throws SQLException {
		return i_decorated.updatesAreDetected(a_type);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#usesLocalFilePerTable()
	 */
	public boolean usesLocalFilePerTable() throws SQLException {
		return i_decorated.usesLocalFilePerTable();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.DatabaseMetaData#usesLocalFiles()
	 */
	public boolean usesLocalFiles() throws SQLException {
		return i_decorated.usesLocalFiles();
	}

}
