/**
 * 
 */
package ddbc.impl;

import java.sql.ParameterMetaData;
import java.sql.SQLException;

/**
 * Decorator for ParameterMetaData
 * @author F.Javier Aranda (fjarandag@gmail.com)
 *
 */
public class DParameterMetaData implements ParameterMetaData {
	private ParameterMetaData i_decorated;

	/**
	 * @param a_param
	 * @return
	 * @throws SQLException
	 * @see java.sql.ParameterMetaData#getParameterClassName(int)
	 */
	public String getParameterClassName(int a_param) throws SQLException {
		return i_decorated.getParameterClassName(a_param);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ParameterMetaData#getParameterCount()
	 */
	public int getParameterCount() throws SQLException {
		return i_decorated.getParameterCount();
	}

	/**
	 * @param a_param
	 * @return
	 * @throws SQLException
	 * @see java.sql.ParameterMetaData#getParameterMode(int)
	 */
	public int getParameterMode(int a_param) throws SQLException {
		return i_decorated.getParameterMode(a_param);
	}

	/**
	 * @param a_param
	 * @return
	 * @throws SQLException
	 * @see java.sql.ParameterMetaData#getParameterType(int)
	 */
	public int getParameterType(int a_param) throws SQLException {
		return i_decorated.getParameterType(a_param);
	}

	/**
	 * @param a_param
	 * @return
	 * @throws SQLException
	 * @see java.sql.ParameterMetaData#getParameterTypeName(int)
	 */
	public String getParameterTypeName(int a_param) throws SQLException {
		return i_decorated.getParameterTypeName(a_param);
	}

	/**
	 * @param a_param
	 * @return
	 * @throws SQLException
	 * @see java.sql.ParameterMetaData#getPrecision(int)
	 */
	public int getPrecision(int a_param) throws SQLException {
		return i_decorated.getPrecision(a_param);
	}

	/**
	 * @param a_param
	 * @return
	 * @throws SQLException
	 * @see java.sql.ParameterMetaData#getScale(int)
	 */
	public int getScale(int a_param) throws SQLException {
		return i_decorated.getScale(a_param);
	}

	/**
	 * @param a_param
	 * @return
	 * @throws SQLException
	 * @see java.sql.ParameterMetaData#isNullable(int)
	 */
	public int isNullable(int a_param) throws SQLException {
		return i_decorated.isNullable(a_param);
	}

	/**
	 * @param a_param
	 * @return
	 * @throws SQLException
	 * @see java.sql.ParameterMetaData#isSigned(int)
	 */
	public boolean isSigned(int a_param) throws SQLException {
		return i_decorated.isSigned(a_param);
	}

	/**
	 * @param a_iface
	 * @return
	 * @throws SQLException
	 * @see java.sql.Wrapper#isWrapperFor(java.lang.Class)
	 */
	public boolean isWrapperFor(Class<?> a_iface) throws SQLException {
		return i_decorated.isWrapperFor(a_iface);
	}

	/**
	 * @param <T>
	 * @param a_iface
	 * @return
	 * @throws SQLException
	 * @see java.sql.Wrapper#unwrap(java.lang.Class)
	 */
	public <T> T unwrap(Class<T> a_iface) throws SQLException {
		return i_decorated.unwrap(a_iface);
	}

}
