package ddbc.impl;

import java.io.InputStream;
import java.io.Reader;
import java.math.BigDecimal;
import java.net.URL;
import java.sql.*;
import java.util.Calendar;

public class DPreparedStatement extends DStatement implements PreparedStatement {
	/**
	 * @param a_connection
	 * @param a_wrapped
	 */
	public DPreparedStatement(DConnection a_connection,
			PreparedStatement a_wrapped) {
		this(a_connection, (Statement)a_wrapped);
	}
	
	protected DPreparedStatement(DConnection a_connection,
			Statement a_wrapped) {
		super(a_connection, a_wrapped);
	}
	
	/* (non-Javadoc)
	 * @see fjarandag.jdbcproxy.JPStatement#getWrapped()
	 */
	public PreparedStatement dGetWrappedPS() {
		// TODO Auto-generated method stub
		return (PreparedStatement)i_wrappedStatement;
	}
	

	/**
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#addBatch()
	 */
	public void addBatch() throws SQLException {
		dGetWrappedPS().addBatch();
	}

	/**
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#clearParameters()
	 */
	public void clearParameters() throws SQLException {
		dGetWrappedPS().clearParameters();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#execute()
	 */
	public boolean execute() throws SQLException {
		return dGetWrappedPS().execute();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#executeQuery()
	 */
	public ResultSet executeQuery() throws SQLException {
		return dGetWrappedPS().executeQuery();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#executeUpdate()
	 */
	public int executeUpdate() throws SQLException {
		return dGetWrappedPS().executeUpdate();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#getMetaData()
	 */
	public ResultSetMetaData getMetaData() throws SQLException {
		return dGetWrappedPS().getMetaData();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#getParameterMetaData()
	 */
	public ParameterMetaData getParameterMetaData() throws SQLException {
		return dGetWrappedPS().getParameterMetaData();
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setArray(int, java.sql.Array)
	 */
	public void setArray(int a_parameterIndex, Array a_x) throws SQLException {
		dGetWrappedPS().setArray(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream, int)
	 */
	public void setAsciiStream(int a_parameterIndex, InputStream a_x,
			int a_length) throws SQLException {
		dGetWrappedPS().setAsciiStream(a_parameterIndex, a_x, a_length);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream, long)
	 */
	public void setAsciiStream(int a_parameterIndex, InputStream a_x,
			long a_length) throws SQLException {
		dGetWrappedPS().setAsciiStream(a_parameterIndex, a_x, a_length);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream)
	 */
	public void setAsciiStream(int a_parameterIndex, InputStream a_x)
			throws SQLException {
		dGetWrappedPS().setAsciiStream(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setBigDecimal(int, java.math.BigDecimal)
	 */
	public void setBigDecimal(int a_parameterIndex, BigDecimal a_x)
			throws SQLException {
		dGetWrappedPS().setBigDecimal(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream, int)
	 */
	public void setBinaryStream(int a_parameterIndex, InputStream a_x,
			int a_length) throws SQLException {
		dGetWrappedPS().setBinaryStream(a_parameterIndex, a_x, a_length);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream, long)
	 */
	public void setBinaryStream(int a_parameterIndex, InputStream a_x,
			long a_length) throws SQLException {
		dGetWrappedPS().setBinaryStream(a_parameterIndex, a_x, a_length);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream)
	 */
	public void setBinaryStream(int a_parameterIndex, InputStream a_x)
			throws SQLException {
		dGetWrappedPS().setBinaryStream(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setBlob(int, java.sql.Blob)
	 */
	public void setBlob(int a_parameterIndex, Blob a_x) throws SQLException {
		dGetWrappedPS().setBlob(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_inputStream
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setBlob(int, java.io.InputStream, long)
	 */
	public void setBlob(int a_parameterIndex, InputStream a_inputStream,
			long a_length) throws SQLException {
		dGetWrappedPS().setBlob(a_parameterIndex, a_inputStream, a_length);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_inputStream
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setBlob(int, java.io.InputStream)
	 */
	public void setBlob(int a_parameterIndex, InputStream a_inputStream)
			throws SQLException {
		dGetWrappedPS().setBlob(a_parameterIndex, a_inputStream);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setBoolean(int, boolean)
	 */
	public void setBoolean(int a_parameterIndex, boolean a_x)
			throws SQLException {
		dGetWrappedPS().setBoolean(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setByte(int, byte)
	 */
	public void setByte(int a_parameterIndex, byte a_x) throws SQLException {
		dGetWrappedPS().setByte(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setBytes(int, byte[])
	 */
	public void setBytes(int a_parameterIndex, byte[] a_x) throws SQLException {
		dGetWrappedPS().setBytes(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_reader
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader, int)
	 */
	public void setCharacterStream(int a_parameterIndex, Reader a_reader,
			int a_length) throws SQLException {
		dGetWrappedPS().setCharacterStream(a_parameterIndex, a_reader, a_length);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_reader
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader, long)
	 */
	public void setCharacterStream(int a_parameterIndex, Reader a_reader,
			long a_length) throws SQLException {
		dGetWrappedPS().setCharacterStream(a_parameterIndex, a_reader, a_length);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_reader
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader)
	 */
	public void setCharacterStream(int a_parameterIndex, Reader a_reader)
			throws SQLException {
		dGetWrappedPS().setCharacterStream(a_parameterIndex, a_reader);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setClob(int, java.sql.Clob)
	 */
	public void setClob(int a_parameterIndex, Clob a_x) throws SQLException {
		dGetWrappedPS().setClob(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_reader
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setClob(int, java.io.Reader, long)
	 */
	public void setClob(int a_parameterIndex, Reader a_reader, long a_length)
			throws SQLException {
		dGetWrappedPS().setClob(a_parameterIndex, a_reader, a_length);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_reader
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setClob(int, java.io.Reader)
	 */
	public void setClob(int a_parameterIndex, Reader a_reader)
			throws SQLException {
		dGetWrappedPS().setClob(a_parameterIndex, a_reader);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @param a_cal
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setDate(int, java.sql.Date, java.util.Calendar)
	 */
	public void setDate(int a_parameterIndex, Date a_x, Calendar a_cal)
			throws SQLException {
		dGetWrappedPS().setDate(a_parameterIndex, a_x, a_cal);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setDate(int, java.sql.Date)
	 */
	public void setDate(int a_parameterIndex, Date a_x) throws SQLException {
		dGetWrappedPS().setDate(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setDouble(int, double)
	 */
	public void setDouble(int a_parameterIndex, double a_x) throws SQLException {
		dGetWrappedPS().setDouble(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setFloat(int, float)
	 */
	public void setFloat(int a_parameterIndex, float a_x) throws SQLException {
		dGetWrappedPS().setFloat(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setInt(int, int)
	 */
	public void setInt(int a_parameterIndex, int a_x) throws SQLException {
		dGetWrappedPS().setInt(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setLong(int, long)
	 */
	public void setLong(int a_parameterIndex, long a_x) throws SQLException {
		dGetWrappedPS().setLong(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_value
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setNCharacterStream(int, java.io.Reader, long)
	 */
	public void setNCharacterStream(int a_parameterIndex, Reader a_value,
			long a_length) throws SQLException {
		dGetWrappedPS().setNCharacterStream(a_parameterIndex, a_value, a_length);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_value
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setNCharacterStream(int, java.io.Reader)
	 */
	public void setNCharacterStream(int a_parameterIndex, Reader a_value)
			throws SQLException {
		dGetWrappedPS().setNCharacterStream(a_parameterIndex, a_value);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_value
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setNClob(int, java.sql.NClob)
	 */
	public void setNClob(int a_parameterIndex, NClob a_value)
			throws SQLException {
		dGetWrappedPS().setNClob(a_parameterIndex, a_value);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_reader
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setNClob(int, java.io.Reader, long)
	 */
	public void setNClob(int a_parameterIndex, Reader a_reader, long a_length)
			throws SQLException {
		dGetWrappedPS().setNClob(a_parameterIndex, a_reader, a_length);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_reader
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setNClob(int, java.io.Reader)
	 */
	public void setNClob(int a_parameterIndex, Reader a_reader)
			throws SQLException {
		dGetWrappedPS().setNClob(a_parameterIndex, a_reader);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_value
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setNString(int, java.lang.String)
	 */
	public void setNString(int a_parameterIndex, String a_value)
			throws SQLException {
		dGetWrappedPS().setNString(a_parameterIndex, a_value);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_sqlType
	 * @param a_typeName
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setNull(int, int, java.lang.String)
	 */
	public void setNull(int a_parameterIndex, int a_sqlType, String a_typeName)
			throws SQLException {
		dGetWrappedPS().setNull(a_parameterIndex, a_sqlType, a_typeName);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_sqlType
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setNull(int, int)
	 */
	public void setNull(int a_parameterIndex, int a_sqlType)
			throws SQLException {
		dGetWrappedPS().setNull(a_parameterIndex, a_sqlType);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @param a_targetSqlType
	 * @param a_scaleOrLength
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setObject(int, java.lang.Object, int, int)
	 */
	public void setObject(int a_parameterIndex, Object a_x,
			int a_targetSqlType, int a_scaleOrLength) throws SQLException {
		dGetWrappedPS().setObject(a_parameterIndex, a_x, a_targetSqlType,
				a_scaleOrLength);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @param a_targetSqlType
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setObject(int, java.lang.Object, int)
	 */
	public void setObject(int a_parameterIndex, Object a_x, int a_targetSqlType)
			throws SQLException {
		dGetWrappedPS().setObject(a_parameterIndex, a_x, a_targetSqlType);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setObject(int, java.lang.Object)
	 */
	public void setObject(int a_parameterIndex, Object a_x) throws SQLException {
		dGetWrappedPS().setObject(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setRef(int, java.sql.Ref)
	 */
	public void setRef(int a_parameterIndex, Ref a_x) throws SQLException {
		dGetWrappedPS().setRef(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setRowId(int, java.sql.RowId)
	 */
	public void setRowId(int a_parameterIndex, RowId a_x) throws SQLException {
		dGetWrappedPS().setRowId(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setShort(int, short)
	 */
	public void setShort(int a_parameterIndex, short a_x) throws SQLException {
		dGetWrappedPS().setShort(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_xmlObject
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setSQLXML(int, java.sql.SQLXML)
	 */
	public void setSQLXML(int a_parameterIndex, SQLXML a_xmlObject)
			throws SQLException {
		dGetWrappedPS().setSQLXML(a_parameterIndex, a_xmlObject);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setString(int, java.lang.String)
	 */
	public void setString(int a_parameterIndex, String a_x) throws SQLException {
		dGetWrappedPS().setString(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @param a_cal
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setTime(int, java.sql.Time, java.util.Calendar)
	 */
	public void setTime(int a_parameterIndex, Time a_x, Calendar a_cal)
			throws SQLException {
		dGetWrappedPS().setTime(a_parameterIndex, a_x, a_cal);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setTime(int, java.sql.Time)
	 */
	public void setTime(int a_parameterIndex, Time a_x) throws SQLException {
		dGetWrappedPS().setTime(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @param a_cal
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setTimestamp(int, java.sql.Timestamp, java.util.Calendar)
	 */
	public void setTimestamp(int a_parameterIndex, Timestamp a_x, Calendar a_cal)
			throws SQLException {
		dGetWrappedPS().setTimestamp(a_parameterIndex, a_x, a_cal);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setTimestamp(int, java.sql.Timestamp)
	 */
	public void setTimestamp(int a_parameterIndex, Timestamp a_x)
			throws SQLException {
		dGetWrappedPS().setTimestamp(a_parameterIndex, a_x);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @param a_length
	 * @throws SQLException
	 * @deprecated
	 * @see java.sql.PreparedStatement#setUnicodeStream(int, java.io.InputStream, int)
	 */
	public void setUnicodeStream(int a_parameterIndex, InputStream a_x,
			int a_length) throws SQLException {
		dGetWrappedPS().setUnicodeStream(a_parameterIndex, a_x, a_length);
	}

	/**
	 * @param a_parameterIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.PreparedStatement#setURL(int, java.net.URL)
	 */
	public void setURL(int a_parameterIndex, URL a_x) throws SQLException {
		dGetWrappedPS().setURL(a_parameterIndex, a_x);
	}

}
