/**
 * 
 */
package ddbc.impl;

import java.sql.Ref;
import java.sql.SQLException;
import java.util.Map;

/**
 * Decorator for sql.Ref.
 * @author F.Javier Aranda (fjarandag@gmail.com)
 *
 */
public class DRef implements Ref {
	private Ref i_decorated;

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Ref#getBaseTypeName()
	 */
	public String getBaseTypeName() throws SQLException {
		return i_decorated.getBaseTypeName();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Ref#getObject()
	 */
	public Object getObject() throws SQLException {
		return i_decorated.getObject();
	}

	/**
	 * @param a_map
	 * @return
	 * @throws SQLException
	 * @see java.sql.Ref#getObject(java.util.Map)
	 */
	public Object getObject(Map<String, Class<?>> a_map) throws SQLException {
		return i_decorated.getObject(a_map);
	}

	/**
	 * @param a_value
	 * @throws SQLException
	 * @see java.sql.Ref#setObject(java.lang.Object)
	 */
	public void setObject(Object a_value) throws SQLException {
		i_decorated.setObject(a_value);
	}
	
}
