/**
 * 
 */
package ddbc.impl;

import java.io.InputStream;
import java.io.Reader;
import java.math.BigDecimal;
import java.net.URL;
import java.sql.*;
import java.util.Calendar;
import java.util.Map;

/**
 * Base Decorator for ResultSet
 * @author F.Javier Aranda (fjarandag@gmail.com)
 *
 */
public class DResultSet implements ResultSet {
	private ResultSet i_decorated;

	/**
	 * @param a_row
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#absolute(int)
	 */
	public boolean absolute(int a_row) throws SQLException {
		return i_decorated.absolute(a_row);
	}

	/**
	 * @throws SQLException
	 * @see java.sql.ResultSet#afterLast()
	 */
	public void afterLast() throws SQLException {
		i_decorated.afterLast();
	}

	/**
	 * @throws SQLException
	 * @see java.sql.ResultSet#beforeFirst()
	 */
	public void beforeFirst() throws SQLException {
		i_decorated.beforeFirst();
	}

	/**
	 * @throws SQLException
	 * @see java.sql.ResultSet#cancelRowUpdates()
	 */
	public void cancelRowUpdates() throws SQLException {
		i_decorated.cancelRowUpdates();
	}

	/**
	 * @throws SQLException
	 * @see java.sql.ResultSet#clearWarnings()
	 */
	public void clearWarnings() throws SQLException {
		i_decorated.clearWarnings();
	}

	/**
	 * @throws SQLException
	 * @see java.sql.ResultSet#close()
	 */
	public void close() throws SQLException {
		i_decorated.close();
	}

	/**
	 * @throws SQLException
	 * @see java.sql.ResultSet#deleteRow()
	 */
	public void deleteRow() throws SQLException {
		i_decorated.deleteRow();
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#findColumn(java.lang.String)
	 */
	public int findColumn(String a_columnName) throws SQLException {
		return i_decorated.findColumn(a_columnName);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#first()
	 */
	public boolean first() throws SQLException {
		return i_decorated.first();
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getArray(int)
	 */
	public Array getArray(int a_columnIndex) throws SQLException {
		return i_decorated.getArray(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getArray(java.lang.String)
	 */
	public Array getArray(String a_columnName) throws SQLException {
		return i_decorated.getArray(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getAsciiStream(int)
	 */
	public InputStream getAsciiStream(int a_columnIndex) throws SQLException {
		return i_decorated.getAsciiStream(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getAsciiStream(java.lang.String)
	 */
	public InputStream getAsciiStream(String a_columnName) throws SQLException {
		return i_decorated.getAsciiStream(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @param a_scale
	 * @return
	 * @throws SQLException
	 * @deprecated
	 * @see java.sql.ResultSet#getBigDecimal(int, int)
	 */
	public BigDecimal getBigDecimal(int a_columnIndex, int a_scale)
			throws SQLException {
		return i_decorated.getBigDecimal(a_columnIndex, a_scale);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getBigDecimal(int)
	 */
	public BigDecimal getBigDecimal(int a_columnIndex) throws SQLException {
		return i_decorated.getBigDecimal(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @param a_scale
	 * @return
	 * @throws SQLException
	 * @deprecated
	 * @see java.sql.ResultSet#getBigDecimal(java.lang.String, int)
	 */
	public BigDecimal getBigDecimal(String a_columnName, int a_scale)
			throws SQLException {
		return i_decorated.getBigDecimal(a_columnName, a_scale);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getBigDecimal(java.lang.String)
	 */
	public BigDecimal getBigDecimal(String a_columnName) throws SQLException {
		return i_decorated.getBigDecimal(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getBinaryStream(int)
	 */
	public InputStream getBinaryStream(int a_columnIndex) throws SQLException {
		return i_decorated.getBinaryStream(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getBinaryStream(java.lang.String)
	 */
	public InputStream getBinaryStream(String a_columnName) throws SQLException {
		return i_decorated.getBinaryStream(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getBlob(int)
	 */
	public Blob getBlob(int a_columnIndex) throws SQLException {
		return i_decorated.getBlob(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getBlob(java.lang.String)
	 */
	public Blob getBlob(String a_columnName) throws SQLException {
		return i_decorated.getBlob(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getBoolean(int)
	 */
	public boolean getBoolean(int a_columnIndex) throws SQLException {
		return i_decorated.getBoolean(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getBoolean(java.lang.String)
	 */
	public boolean getBoolean(String a_columnName) throws SQLException {
		return i_decorated.getBoolean(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getByte(int)
	 */
	public byte getByte(int a_columnIndex) throws SQLException {
		return i_decorated.getByte(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getByte(java.lang.String)
	 */
	public byte getByte(String a_columnName) throws SQLException {
		return i_decorated.getByte(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getBytes(int)
	 */
	public byte[] getBytes(int a_columnIndex) throws SQLException {
		return i_decorated.getBytes(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getBytes(java.lang.String)
	 */
	public byte[] getBytes(String a_columnName) throws SQLException {
		return i_decorated.getBytes(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getCharacterStream(int)
	 */
	public Reader getCharacterStream(int a_columnIndex) throws SQLException {
		return i_decorated.getCharacterStream(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getCharacterStream(java.lang.String)
	 */
	public Reader getCharacterStream(String a_columnName) throws SQLException {
		return i_decorated.getCharacterStream(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getClob(int)
	 */
	public Clob getClob(int a_columnIndex) throws SQLException {
		return i_decorated.getClob(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getClob(java.lang.String)
	 */
	public Clob getClob(String a_columnName) throws SQLException {
		return i_decorated.getClob(a_columnName);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getConcurrency()
	 */
	public int getConcurrency() throws SQLException {
		return i_decorated.getConcurrency();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getCursorName()
	 */
	public String getCursorName() throws SQLException {
		return i_decorated.getCursorName();
	}

	/**
	 * @param a_columnIndex
	 * @param a_cal
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getDate(int, java.util.Calendar)
	 */
	public Date getDate(int a_columnIndex, Calendar a_cal) throws SQLException {
		return i_decorated.getDate(a_columnIndex, a_cal);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getDate(int)
	 */
	public Date getDate(int a_columnIndex) throws SQLException {
		return i_decorated.getDate(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @param a_cal
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getDate(java.lang.String, java.util.Calendar)
	 */
	public Date getDate(String a_columnName, Calendar a_cal)
			throws SQLException {
		return i_decorated.getDate(a_columnName, a_cal);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getDate(java.lang.String)
	 */
	public Date getDate(String a_columnName) throws SQLException {
		return i_decorated.getDate(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getDouble(int)
	 */
	public double getDouble(int a_columnIndex) throws SQLException {
		return i_decorated.getDouble(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getDouble(java.lang.String)
	 */
	public double getDouble(String a_columnName) throws SQLException {
		return i_decorated.getDouble(a_columnName);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getFetchDirection()
	 */
	public int getFetchDirection() throws SQLException {
		return i_decorated.getFetchDirection();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getFetchSize()
	 */
	public int getFetchSize() throws SQLException {
		return i_decorated.getFetchSize();
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getFloat(int)
	 */
	public float getFloat(int a_columnIndex) throws SQLException {
		return i_decorated.getFloat(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getFloat(java.lang.String)
	 */
	public float getFloat(String a_columnName) throws SQLException {
		return i_decorated.getFloat(a_columnName);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getHoldability()
	 */
	public int getHoldability() throws SQLException {
		return i_decorated.getHoldability();
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getInt(int)
	 */
	public int getInt(int a_columnIndex) throws SQLException {
		return i_decorated.getInt(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getInt(java.lang.String)
	 */
	public int getInt(String a_columnName) throws SQLException {
		return i_decorated.getInt(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getLong(int)
	 */
	public long getLong(int a_columnIndex) throws SQLException {
		return i_decorated.getLong(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getLong(java.lang.String)
	 */
	public long getLong(String a_columnName) throws SQLException {
		return i_decorated.getLong(a_columnName);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getMetaData()
	 */
	public ResultSetMetaData getMetaData() throws SQLException {
		return i_decorated.getMetaData();
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getNCharacterStream(int)
	 */
	public Reader getNCharacterStream(int a_columnIndex) throws SQLException {
		return i_decorated.getNCharacterStream(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getNCharacterStream(java.lang.String)
	 */
	public Reader getNCharacterStream(String a_columnName) throws SQLException {
		return i_decorated.getNCharacterStream(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getNClob(int)
	 */
	public NClob getNClob(int a_columnIndex) throws SQLException {
		return i_decorated.getNClob(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getNClob(java.lang.String)
	 */
	public NClob getNClob(String a_columnName) throws SQLException {
		return i_decorated.getNClob(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getNString(int)
	 */
	public String getNString(int a_columnIndex) throws SQLException {
		return i_decorated.getNString(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getNString(java.lang.String)
	 */
	public String getNString(String a_columnName) throws SQLException {
		return i_decorated.getNString(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @param a_map
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getObject(int, java.util.Map)
	 */
	public Object getObject(int a_columnIndex, Map<String, Class<?>> a_map)
			throws SQLException {
		return i_decorated.getObject(a_columnIndex, a_map);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getObject(int)
	 */
	public Object getObject(int a_columnIndex) throws SQLException {
		return i_decorated.getObject(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @param a_map
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getObject(java.lang.String, java.util.Map)
	 */
	public Object getObject(String a_columnName, Map<String, Class<?>> a_map)
			throws SQLException {
		return i_decorated.getObject(a_columnName, a_map);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getObject(java.lang.String)
	 */
	public Object getObject(String a_columnName) throws SQLException {
		return i_decorated.getObject(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getRef(int)
	 */
	public Ref getRef(int a_columnIndex) throws SQLException {
		return i_decorated.getRef(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getRef(java.lang.String)
	 */
	public Ref getRef(String a_columnName) throws SQLException {
		return i_decorated.getRef(a_columnName);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getRow()
	 */
	public int getRow() throws SQLException {
		return i_decorated.getRow();
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getRowId(int)
	 */
	public RowId getRowId(int a_columnIndex) throws SQLException {
		return i_decorated.getRowId(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getRowId(java.lang.String)
	 */
	public RowId getRowId(String a_columnName) throws SQLException {
		return i_decorated.getRowId(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getShort(int)
	 */
	public short getShort(int a_columnIndex) throws SQLException {
		return i_decorated.getShort(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getShort(java.lang.String)
	 */
	public short getShort(String a_columnName) throws SQLException {
		return i_decorated.getShort(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getSQLXML(int)
	 */
	public SQLXML getSQLXML(int a_columnIndex) throws SQLException {
		return i_decorated.getSQLXML(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getSQLXML(java.lang.String)
	 */
	public SQLXML getSQLXML(String a_columnName) throws SQLException {
		return i_decorated.getSQLXML(a_columnName);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getStatement()
	 */
	public Statement getStatement() throws SQLException {
		return i_decorated.getStatement();
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getString(int)
	 */
	public String getString(int a_columnIndex) throws SQLException {
		return i_decorated.getString(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getString(java.lang.String)
	 */
	public String getString(String a_columnName) throws SQLException {
		return i_decorated.getString(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @param a_cal
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getTime(int, java.util.Calendar)
	 */
	public Time getTime(int a_columnIndex, Calendar a_cal) throws SQLException {
		return i_decorated.getTime(a_columnIndex, a_cal);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getTime(int)
	 */
	public Time getTime(int a_columnIndex) throws SQLException {
		return i_decorated.getTime(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @param a_cal
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getTime(java.lang.String, java.util.Calendar)
	 */
	public Time getTime(String a_columnName, Calendar a_cal)
			throws SQLException {
		return i_decorated.getTime(a_columnName, a_cal);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getTime(java.lang.String)
	 */
	public Time getTime(String a_columnName) throws SQLException {
		return i_decorated.getTime(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @param a_cal
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getTimestamp(int, java.util.Calendar)
	 */
	public Timestamp getTimestamp(int a_columnIndex, Calendar a_cal)
			throws SQLException {
		return i_decorated.getTimestamp(a_columnIndex, a_cal);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getTimestamp(int)
	 */
	public Timestamp getTimestamp(int a_columnIndex) throws SQLException {
		return i_decorated.getTimestamp(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @param a_cal
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getTimestamp(java.lang.String, java.util.Calendar)
	 */
	public Timestamp getTimestamp(String a_columnName, Calendar a_cal)
			throws SQLException {
		return i_decorated.getTimestamp(a_columnName, a_cal);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getTimestamp(java.lang.String)
	 */
	public Timestamp getTimestamp(String a_columnName) throws SQLException {
		return i_decorated.getTimestamp(a_columnName);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getType()
	 */
	public int getType() throws SQLException {
		return i_decorated.getType();
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @deprecated
	 * @see java.sql.ResultSet#getUnicodeStream(int)
	 */
	public InputStream getUnicodeStream(int a_columnIndex) throws SQLException {
		return i_decorated.getUnicodeStream(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @deprecated
	 * @see java.sql.ResultSet#getUnicodeStream(java.lang.String)
	 */
	public InputStream getUnicodeStream(String a_columnName)
			throws SQLException {
		return i_decorated.getUnicodeStream(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getURL(int)
	 */
	public URL getURL(int a_columnIndex) throws SQLException {
		return i_decorated.getURL(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getURL(java.lang.String)
	 */
	public URL getURL(String a_columnName) throws SQLException {
		return i_decorated.getURL(a_columnName);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#getWarnings()
	 */
	public SQLWarning getWarnings() throws SQLException {
		return i_decorated.getWarnings();
	}

	/**
	 * @throws SQLException
	 * @see java.sql.ResultSet#insertRow()
	 */
	public void insertRow() throws SQLException {
		i_decorated.insertRow();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#isAfterLast()
	 */
	public boolean isAfterLast() throws SQLException {
		return i_decorated.isAfterLast();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#isBeforeFirst()
	 */
	public boolean isBeforeFirst() throws SQLException {
		return i_decorated.isBeforeFirst();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#isClosed()
	 */
	public boolean isClosed() throws SQLException {
		return i_decorated.isClosed();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#isFirst()
	 */
	public boolean isFirst() throws SQLException {
		return i_decorated.isFirst();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#isLast()
	 */
	public boolean isLast() throws SQLException {
		return i_decorated.isLast();
	}

	/**
	 * @param a_iface
	 * @return
	 * @throws SQLException
	 * @see java.sql.Wrapper#isWrapperFor(java.lang.Class)
	 */
	public boolean isWrapperFor(Class<?> a_iface) throws SQLException {
		return i_decorated.isWrapperFor(a_iface);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#last()
	 */
	public boolean last() throws SQLException {
		return i_decorated.last();
	}

	/**
	 * @throws SQLException
	 * @see java.sql.ResultSet#moveToCurrentRow()
	 */
	public void moveToCurrentRow() throws SQLException {
		i_decorated.moveToCurrentRow();
	}

	/**
	 * @throws SQLException
	 * @see java.sql.ResultSet#moveToInsertRow()
	 */
	public void moveToInsertRow() throws SQLException {
		i_decorated.moveToInsertRow();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#next()
	 */
	public boolean next() throws SQLException {
		return i_decorated.next();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#previous()
	 */
	public boolean previous() throws SQLException {
		return i_decorated.previous();
	}

	/**
	 * @throws SQLException
	 * @see java.sql.ResultSet#refreshRow()
	 */
	public void refreshRow() throws SQLException {
		i_decorated.refreshRow();
	}

	/**
	 * @param a_rows
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#relative(int)
	 */
	public boolean relative(int a_rows) throws SQLException {
		return i_decorated.relative(a_rows);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#rowDeleted()
	 */
	public boolean rowDeleted() throws SQLException {
		return i_decorated.rowDeleted();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#rowInserted()
	 */
	public boolean rowInserted() throws SQLException {
		return i_decorated.rowInserted();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#rowUpdated()
	 */
	public boolean rowUpdated() throws SQLException {
		return i_decorated.rowUpdated();
	}

	/**
	 * @param a_direction
	 * @throws SQLException
	 * @see java.sql.ResultSet#setFetchDirection(int)
	 */
	public void setFetchDirection(int a_direction) throws SQLException {
		i_decorated.setFetchDirection(a_direction);
	}

	/**
	 * @param a_rows
	 * @throws SQLException
	 * @see java.sql.ResultSet#setFetchSize(int)
	 */
	public void setFetchSize(int a_rows) throws SQLException {
		i_decorated.setFetchSize(a_rows);
	}

	/**
	 * @param <T>
	 * @param a_iface
	 * @return
	 * @throws SQLException
	 * @see java.sql.Wrapper#unwrap(java.lang.Class)
	 */
	public <T> T unwrap(Class<T> a_iface) throws SQLException {
		return i_decorated.unwrap(a_iface);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateArray(int, java.sql.Array)
	 */
	public void updateArray(int a_columnIndex, Array a_x) throws SQLException {
		i_decorated.updateArray(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateArray(java.lang.String, java.sql.Array)
	 */
	public void updateArray(String a_columnName, Array a_x) throws SQLException {
		i_decorated.updateArray(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateAsciiStream(int, java.io.InputStream, int)
	 */
	public void updateAsciiStream(int a_columnIndex, InputStream a_x,
			int a_length) throws SQLException {
		i_decorated.updateAsciiStream(a_columnIndex, a_x, a_length);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateAsciiStream(int, java.io.InputStream, long)
	 */
	public void updateAsciiStream(int a_arg0, InputStream a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateAsciiStream(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateAsciiStream(int, java.io.InputStream)
	 */
	public void updateAsciiStream(int a_arg0, InputStream a_arg1)
			throws SQLException {
		i_decorated.updateAsciiStream(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateAsciiStream(java.lang.String, java.io.InputStream, int)
	 */
	public void updateAsciiStream(String a_columnName, InputStream a_x,
			int a_length) throws SQLException {
		i_decorated.updateAsciiStream(a_columnName, a_x, a_length);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateAsciiStream(java.lang.String, java.io.InputStream, long)
	 */
	public void updateAsciiStream(String a_arg0, InputStream a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateAsciiStream(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateAsciiStream(java.lang.String, java.io.InputStream)
	 */
	public void updateAsciiStream(String a_arg0, InputStream a_arg1)
			throws SQLException {
		i_decorated.updateAsciiStream(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBigDecimal(int, java.math.BigDecimal)
	 */
	public void updateBigDecimal(int a_columnIndex, BigDecimal a_x)
			throws SQLException {
		i_decorated.updateBigDecimal(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBigDecimal(java.lang.String, java.math.BigDecimal)
	 */
	public void updateBigDecimal(String a_columnName, BigDecimal a_x)
			throws SQLException {
		i_decorated.updateBigDecimal(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBinaryStream(int, java.io.InputStream, int)
	 */
	public void updateBinaryStream(int a_columnIndex, InputStream a_x,
			int a_length) throws SQLException {
		i_decorated.updateBinaryStream(a_columnIndex, a_x, a_length);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBinaryStream(int, java.io.InputStream, long)
	 */
	public void updateBinaryStream(int a_arg0, InputStream a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateBinaryStream(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBinaryStream(int, java.io.InputStream)
	 */
	public void updateBinaryStream(int a_arg0, InputStream a_arg1)
			throws SQLException {
		i_decorated.updateBinaryStream(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBinaryStream(java.lang.String, java.io.InputStream, int)
	 */
	public void updateBinaryStream(String a_columnName, InputStream a_x,
			int a_length) throws SQLException {
		i_decorated.updateBinaryStream(a_columnName, a_x, a_length);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBinaryStream(java.lang.String, java.io.InputStream, long)
	 */
	public void updateBinaryStream(String a_arg0, InputStream a_arg1,
			long a_arg2) throws SQLException {
		i_decorated.updateBinaryStream(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBinaryStream(java.lang.String, java.io.InputStream)
	 */
	public void updateBinaryStream(String a_arg0, InputStream a_arg1)
			throws SQLException {
		i_decorated.updateBinaryStream(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBlob(int, java.sql.Blob)
	 */
	public void updateBlob(int a_columnIndex, Blob a_x) throws SQLException {
		i_decorated.updateBlob(a_columnIndex, a_x);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBlob(int, java.io.InputStream, long)
	 */
	public void updateBlob(int a_arg0, InputStream a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateBlob(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBlob(int, java.io.InputStream)
	 */
	public void updateBlob(int a_arg0, InputStream a_arg1) throws SQLException {
		i_decorated.updateBlob(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBlob(java.lang.String, java.sql.Blob)
	 */
	public void updateBlob(String a_columnName, Blob a_x) throws SQLException {
		i_decorated.updateBlob(a_columnName, a_x);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBlob(java.lang.String, java.io.InputStream, long)
	 */
	public void updateBlob(String a_arg0, InputStream a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateBlob(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBlob(java.lang.String, java.io.InputStream)
	 */
	public void updateBlob(String a_arg0, InputStream a_arg1)
			throws SQLException {
		i_decorated.updateBlob(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBoolean(int, boolean)
	 */
	public void updateBoolean(int a_columnIndex, boolean a_x)
			throws SQLException {
		i_decorated.updateBoolean(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBoolean(java.lang.String, boolean)
	 */
	public void updateBoolean(String a_columnName, boolean a_x)
			throws SQLException {
		i_decorated.updateBoolean(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateByte(int, byte)
	 */
	public void updateByte(int a_columnIndex, byte a_x) throws SQLException {
		i_decorated.updateByte(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateByte(java.lang.String, byte)
	 */
	public void updateByte(String a_columnName, byte a_x) throws SQLException {
		i_decorated.updateByte(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBytes(int, byte[])
	 */
	public void updateBytes(int a_columnIndex, byte[] a_x) throws SQLException {
		i_decorated.updateBytes(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateBytes(java.lang.String, byte[])
	 */
	public void updateBytes(String a_columnName, byte[] a_x)
			throws SQLException {
		i_decorated.updateBytes(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateCharacterStream(int, java.io.Reader, int)
	 */
	public void updateCharacterStream(int a_columnIndex, Reader a_x,
			int a_length) throws SQLException {
		i_decorated.updateCharacterStream(a_columnIndex, a_x, a_length);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateCharacterStream(int, java.io.Reader, long)
	 */
	public void updateCharacterStream(int a_arg0, Reader a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateCharacterStream(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateCharacterStream(int, java.io.Reader)
	 */
	public void updateCharacterStream(int a_arg0, Reader a_arg1)
			throws SQLException {
		i_decorated.updateCharacterStream(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnName
	 * @param a_reader
	 * @param a_length
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateCharacterStream(java.lang.String, java.io.Reader, int)
	 */
	public void updateCharacterStream(String a_columnName, Reader a_reader,
			int a_length) throws SQLException {
		i_decorated.updateCharacterStream(a_columnName, a_reader, a_length);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateCharacterStream(java.lang.String, java.io.Reader, long)
	 */
	public void updateCharacterStream(String a_arg0, Reader a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateCharacterStream(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateCharacterStream(java.lang.String, java.io.Reader)
	 */
	public void updateCharacterStream(String a_arg0, Reader a_arg1)
			throws SQLException {
		i_decorated.updateCharacterStream(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateClob(int, java.sql.Clob)
	 */
	public void updateClob(int a_columnIndex, Clob a_x) throws SQLException {
		i_decorated.updateClob(a_columnIndex, a_x);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateClob(int, java.io.Reader, long)
	 */
	public void updateClob(int a_arg0, Reader a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateClob(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateClob(int, java.io.Reader)
	 */
	public void updateClob(int a_arg0, Reader a_arg1) throws SQLException {
		i_decorated.updateClob(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateClob(java.lang.String, java.sql.Clob)
	 */
	public void updateClob(String a_columnName, Clob a_x) throws SQLException {
		i_decorated.updateClob(a_columnName, a_x);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateClob(java.lang.String, java.io.Reader, long)
	 */
	public void updateClob(String a_arg0, Reader a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateClob(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateClob(java.lang.String, java.io.Reader)
	 */
	public void updateClob(String a_arg0, Reader a_arg1) throws SQLException {
		i_decorated.updateClob(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateDate(int, java.sql.Date)
	 */
	public void updateDate(int a_columnIndex, Date a_x) throws SQLException {
		i_decorated.updateDate(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateDate(java.lang.String, java.sql.Date)
	 */
	public void updateDate(String a_columnName, Date a_x) throws SQLException {
		i_decorated.updateDate(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateDouble(int, double)
	 */
	public void updateDouble(int a_columnIndex, double a_x) throws SQLException {
		i_decorated.updateDouble(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateDouble(java.lang.String, double)
	 */
	public void updateDouble(String a_columnName, double a_x)
			throws SQLException {
		i_decorated.updateDouble(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateFloat(int, float)
	 */
	public void updateFloat(int a_columnIndex, float a_x) throws SQLException {
		i_decorated.updateFloat(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateFloat(java.lang.String, float)
	 */
	public void updateFloat(String a_columnName, float a_x) throws SQLException {
		i_decorated.updateFloat(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateInt(int, int)
	 */
	public void updateInt(int a_columnIndex, int a_x) throws SQLException {
		i_decorated.updateInt(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateInt(java.lang.String, int)
	 */
	public void updateInt(String a_columnName, int a_x) throws SQLException {
		i_decorated.updateInt(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateLong(int, long)
	 */
	public void updateLong(int a_columnIndex, long a_x) throws SQLException {
		i_decorated.updateLong(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateLong(java.lang.String, long)
	 */
	public void updateLong(String a_columnName, long a_x) throws SQLException {
		i_decorated.updateLong(a_columnName, a_x);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNCharacterStream(int, java.io.Reader, long)
	 */
	public void updateNCharacterStream(int a_arg0, Reader a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateNCharacterStream(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNCharacterStream(int, java.io.Reader)
	 */
	public void updateNCharacterStream(int a_arg0, Reader a_arg1)
			throws SQLException {
		i_decorated.updateNCharacterStream(a_arg0, a_arg1);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNCharacterStream(java.lang.String, java.io.Reader, long)
	 */
	public void updateNCharacterStream(String a_arg0, Reader a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateNCharacterStream(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNCharacterStream(java.lang.String, java.io.Reader)
	 */
	public void updateNCharacterStream(String a_arg0, Reader a_arg1)
			throws SQLException {
		i_decorated.updateNCharacterStream(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnIndex
	 * @param a_clob
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNClob(int, java.sql.NClob)
	 */
	public void updateNClob(int a_columnIndex, NClob a_clob)
			throws SQLException {
		i_decorated.updateNClob(a_columnIndex, a_clob);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNClob(int, java.io.Reader, long)
	 */
	public void updateNClob(int a_arg0, Reader a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateNClob(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNClob(int, java.io.Reader)
	 */
	public void updateNClob(int a_arg0, Reader a_arg1) throws SQLException {
		i_decorated.updateNClob(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnName
	 * @param a_clob
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNClob(java.lang.String, java.sql.NClob)
	 */
	public void updateNClob(String a_columnName, NClob a_clob)
			throws SQLException {
		i_decorated.updateNClob(a_columnName, a_clob);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @param a_arg2
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNClob(java.lang.String, java.io.Reader, long)
	 */
	public void updateNClob(String a_arg0, Reader a_arg1, long a_arg2)
			throws SQLException {
		i_decorated.updateNClob(a_arg0, a_arg1, a_arg2);
	}

	/**
	 * @param a_arg0
	 * @param a_arg1
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNClob(java.lang.String, java.io.Reader)
	 */
	public void updateNClob(String a_arg0, Reader a_arg1) throws SQLException {
		i_decorated.updateNClob(a_arg0, a_arg1);
	}

	/**
	 * @param a_columnIndex
	 * @param a_string
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNString(int, java.lang.String)
	 */
	public void updateNString(int a_columnIndex, String a_string)
			throws SQLException {
		i_decorated.updateNString(a_columnIndex, a_string);
	}

	/**
	 * @param a_columnName
	 * @param a_string
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNString(java.lang.String, java.lang.String)
	 */
	public void updateNString(String a_columnName, String a_string)
			throws SQLException {
		i_decorated.updateNString(a_columnName, a_string);
	}

	/**
	 * @param a_columnIndex
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNull(int)
	 */
	public void updateNull(int a_columnIndex) throws SQLException {
		i_decorated.updateNull(a_columnIndex);
	}

	/**
	 * @param a_columnName
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateNull(java.lang.String)
	 */
	public void updateNull(String a_columnName) throws SQLException {
		i_decorated.updateNull(a_columnName);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @param a_scaleOrLength
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateObject(int, java.lang.Object, int)
	 */
	public void updateObject(int a_columnIndex, Object a_x, int a_scaleOrLength)
			throws SQLException {
		i_decorated.updateObject(a_columnIndex, a_x, a_scaleOrLength);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateObject(int, java.lang.Object)
	 */
	public void updateObject(int a_columnIndex, Object a_x) throws SQLException {
		i_decorated.updateObject(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @param a_scaleOrLength
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateObject(java.lang.String, java.lang.Object, int)
	 */
	public void updateObject(String a_columnName, Object a_x,
			int a_scaleOrLength) throws SQLException {
		i_decorated.updateObject(a_columnName, a_x, a_scaleOrLength);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateObject(java.lang.String, java.lang.Object)
	 */
	public void updateObject(String a_columnName, Object a_x)
			throws SQLException {
		i_decorated.updateObject(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateRef(int, java.sql.Ref)
	 */
	public void updateRef(int a_columnIndex, Ref a_x) throws SQLException {
		i_decorated.updateRef(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateRef(java.lang.String, java.sql.Ref)
	 */
	public void updateRef(String a_columnName, Ref a_x) throws SQLException {
		i_decorated.updateRef(a_columnName, a_x);
	}

	/**
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateRow()
	 */
	public void updateRow() throws SQLException {
		i_decorated.updateRow();
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateRowId(int, java.sql.RowId)
	 */
	public void updateRowId(int a_columnIndex, RowId a_x) throws SQLException {
		i_decorated.updateRowId(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateRowId(java.lang.String, java.sql.RowId)
	 */
	public void updateRowId(String a_columnName, RowId a_x) throws SQLException {
		i_decorated.updateRowId(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateShort(int, short)
	 */
	public void updateShort(int a_columnIndex, short a_x) throws SQLException {
		i_decorated.updateShort(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateShort(java.lang.String, short)
	 */
	public void updateShort(String a_columnName, short a_x) throws SQLException {
		i_decorated.updateShort(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_xmlObject
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateSQLXML(int, java.sql.SQLXML)
	 */
	public void updateSQLXML(int a_columnIndex, SQLXML a_xmlObject)
			throws SQLException {
		i_decorated.updateSQLXML(a_columnIndex, a_xmlObject);
	}

	/**
	 * @param a_columnName
	 * @param a_xmlObject
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateSQLXML(java.lang.String, java.sql.SQLXML)
	 */
	public void updateSQLXML(String a_columnName, SQLXML a_xmlObject)
			throws SQLException {
		i_decorated.updateSQLXML(a_columnName, a_xmlObject);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateString(int, java.lang.String)
	 */
	public void updateString(int a_columnIndex, String a_x) throws SQLException {
		i_decorated.updateString(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateString(java.lang.String, java.lang.String)
	 */
	public void updateString(String a_columnName, String a_x)
			throws SQLException {
		i_decorated.updateString(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateTime(int, java.sql.Time)
	 */
	public void updateTime(int a_columnIndex, Time a_x) throws SQLException {
		i_decorated.updateTime(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateTime(java.lang.String, java.sql.Time)
	 */
	public void updateTime(String a_columnName, Time a_x) throws SQLException {
		i_decorated.updateTime(a_columnName, a_x);
	}

	/**
	 * @param a_columnIndex
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateTimestamp(int, java.sql.Timestamp)
	 */
	public void updateTimestamp(int a_columnIndex, Timestamp a_x)
			throws SQLException {
		i_decorated.updateTimestamp(a_columnIndex, a_x);
	}

	/**
	 * @param a_columnName
	 * @param a_x
	 * @throws SQLException
	 * @see java.sql.ResultSet#updateTimestamp(java.lang.String, java.sql.Timestamp)
	 */
	public void updateTimestamp(String a_columnName, Timestamp a_x)
			throws SQLException {
		i_decorated.updateTimestamp(a_columnName, a_x);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSet#wasNull()
	 */
	public boolean wasNull() throws SQLException {
		return i_decorated.wasNull();
	}
	
}
