/**
 * 
 */
package ddbc.impl;

import java.sql.ResultSetMetaData;
import java.sql.SQLException;

/**
 * Base Decorator for ResultSetMetaData.
 * @author F.Javier Aranda (fjarandag@gmail.com)
 *
 */
public class DResultSetMetaData implements ResultSetMetaData {
	private ResultSetMetaData i_decorated;

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#getCatalogName(int)
	 */
	public String getCatalogName(int a_column) throws SQLException {
		return i_decorated.getCatalogName(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#getColumnClassName(int)
	 */
	public String getColumnClassName(int a_column) throws SQLException {
		return i_decorated.getColumnClassName(a_column);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#getColumnCount()
	 */
	public int getColumnCount() throws SQLException {
		return i_decorated.getColumnCount();
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#getColumnDisplaySize(int)
	 */
	public int getColumnDisplaySize(int a_column) throws SQLException {
		return i_decorated.getColumnDisplaySize(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#getColumnLabel(int)
	 */
	public String getColumnLabel(int a_column) throws SQLException {
		return i_decorated.getColumnLabel(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#getColumnName(int)
	 */
	public String getColumnName(int a_column) throws SQLException {
		return i_decorated.getColumnName(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#getColumnType(int)
	 */
	public int getColumnType(int a_column) throws SQLException {
		return i_decorated.getColumnType(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#getColumnTypeName(int)
	 */
	public String getColumnTypeName(int a_column) throws SQLException {
		return i_decorated.getColumnTypeName(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#getPrecision(int)
	 */
	public int getPrecision(int a_column) throws SQLException {
		return i_decorated.getPrecision(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#getScale(int)
	 */
	public int getScale(int a_column) throws SQLException {
		return i_decorated.getScale(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#getSchemaName(int)
	 */
	public String getSchemaName(int a_column) throws SQLException {
		return i_decorated.getSchemaName(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#getTableName(int)
	 */
	public String getTableName(int a_column) throws SQLException {
		return i_decorated.getTableName(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#isAutoIncrement(int)
	 */
	public boolean isAutoIncrement(int a_column) throws SQLException {
		return i_decorated.isAutoIncrement(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#isCaseSensitive(int)
	 */
	public boolean isCaseSensitive(int a_column) throws SQLException {
		return i_decorated.isCaseSensitive(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#isCurrency(int)
	 */
	public boolean isCurrency(int a_column) throws SQLException {
		return i_decorated.isCurrency(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#isDefinitelyWritable(int)
	 */
	public boolean isDefinitelyWritable(int a_column) throws SQLException {
		return i_decorated.isDefinitelyWritable(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#isNullable(int)
	 */
	public int isNullable(int a_column) throws SQLException {
		return i_decorated.isNullable(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#isReadOnly(int)
	 */
	public boolean isReadOnly(int a_column) throws SQLException {
		return i_decorated.isReadOnly(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#isSearchable(int)
	 */
	public boolean isSearchable(int a_column) throws SQLException {
		return i_decorated.isSearchable(a_column);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#isSigned(int)
	 */
	public boolean isSigned(int a_column) throws SQLException {
		return i_decorated.isSigned(a_column);
	}

	/**
	 * @param a_iface
	 * @return
	 * @throws SQLException
	 * @see java.sql.Wrapper#isWrapperFor(java.lang.Class)
	 */
	public boolean isWrapperFor(Class<?> a_iface) throws SQLException {
		return i_decorated.isWrapperFor(a_iface);
	}

	/**
	 * @param a_column
	 * @return
	 * @throws SQLException
	 * @see java.sql.ResultSetMetaData#isWritable(int)
	 */
	public boolean isWritable(int a_column) throws SQLException {
		return i_decorated.isWritable(a_column);
	}

	/**
	 * @param <T>
	 * @param a_iface
	 * @return
	 * @throws SQLException
	 * @see java.sql.Wrapper#unwrap(java.lang.Class)
	 */
	public <T> T unwrap(Class<T> a_iface) throws SQLException {
		return i_decorated.unwrap(a_iface);
	}
	
}
