package ddbc.impl;

import java.io.*;
import java.sql.SQLException;
import java.sql.SQLXML;

import javax.xml.transform.Result;
import javax.xml.transform.Source;

public class DSQLXML implements SQLXML {
	private SQLXML i_decorated;
	
	public DSQLXML(SQLXML decorated) {
		super();
		i_decorated = decorated;
	}

	/**
	 * @throws SQLException
	 * @see java.sql.SQLXML#free()
	 */
	public void free() throws SQLException {
		i_decorated.free();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.SQLXML#getBinaryStream()
	 */
	public InputStream getBinaryStream() throws SQLException {
		return i_decorated.getBinaryStream();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.SQLXML#getCharacterStream()
	 */
	public Reader getCharacterStream() throws SQLException {
		return i_decorated.getCharacterStream();
	}

	/**
	 * @param <T>
	 * @param a_sourceClass
	 * @return
	 * @throws SQLException
	 * @see java.sql.SQLXML#getSource(java.lang.Class)
	 */
	public <T extends Source> T getSource(Class<T> a_sourceClass)
			throws SQLException {
		return i_decorated.getSource(a_sourceClass);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.SQLXML#getString()
	 */
	public String getString() throws SQLException {
		return i_decorated.getString();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.SQLXML#setBinaryStream()
	 */
	public OutputStream setBinaryStream() throws SQLException {
		return i_decorated.setBinaryStream();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.SQLXML#setCharacterStream()
	 */
	public Writer setCharacterStream() throws SQLException {
		return i_decorated.setCharacterStream();
	}

	/**
	 * @param <T>
	 * @param a_resultClass
	 * @return
	 * @throws SQLException
	 * @see java.sql.SQLXML#setResult(java.lang.Class)
	 */
	public <T extends Result> T setResult(Class<T> a_resultClass)
			throws SQLException {
		return i_decorated.setResult(a_resultClass);
	}

	/**
	 * @param a_str
	 * @throws SQLException
	 * @see java.sql.SQLXML#setString(java.lang.String)
	 */
	public void setString(String a_str) throws SQLException {
		i_decorated.setString(a_str);
	}


}
