package ddbc.impl;

import java.sql.SQLException;
import java.sql.Savepoint;

/**
 * Decorator for sql.Savepoint.
 * @author F.Javier Aranda (fjarandag@gmail.com)
 */
public class DSavepoint implements Savepoint {
	private Savepoint i_decorated;

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Savepoint#getSavepointId()
	 */
	public int getSavepointId() throws SQLException {
		return i_decorated.getSavepointId();
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Savepoint#getSavepointName()
	 */
	public String getSavepointName() throws SQLException {
		return i_decorated.getSavepointName();
	}

}
