package ddbc.impl;

import java.sql.*;

public class DStatement implements Statement {
	protected DConnection i_dConnection;
	protected Statement i_wrappedStatement;
	/**
	 * @param a_connection
	 * @param a_wrapped
	 */
	public DStatement(DConnection a_connection, Statement a_wrapped) {
		super();
		i_dConnection = a_connection;
		i_wrappedStatement = a_wrapped;
	}
	/**
	 * @return the wrapped
	 */
	public Statement getWrappedStmt() {
		return i_wrappedStatement;
	}
	/**
	 * @return the jpConnection
	 */
	public DConnection getDConnection() {
		return i_dConnection;
	}
	/**
	 * @param a_sql
	 * @throws SQLException
	 * @see java.sql.Statement#addBatch(java.lang.String)
	 */
	public void addBatch(String a_sql) throws SQLException {
		i_wrappedStatement.addBatch(a_sql);
	}
	/**
	 * @throws SQLException
	 * @see java.sql.Statement#cancel()
	 */
	public void cancel() throws SQLException {
		i_wrappedStatement.cancel();
	}
	/**
	 * @throws SQLException
	 * @see java.sql.Statement#clearBatch()
	 */
	public void clearBatch() throws SQLException {
		i_wrappedStatement.clearBatch();
	}
	/**
	 * @throws SQLException
	 * @see java.sql.Statement#clearWarnings()
	 */
	public void clearWarnings() throws SQLException {
		i_wrappedStatement.clearWarnings();
	}
	/**
	 * @throws SQLException
	 * @see java.sql.Statement#close()
	 */
	public void close() throws SQLException {
		i_wrappedStatement.close();
	}
	/**
	 * @param a_sql
	 * @param a_autoGeneratedKeys
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#execute(java.lang.String, int)
	 */
	public boolean execute(String a_sql, int a_autoGeneratedKeys)
			throws SQLException {
		return i_wrappedStatement.execute(a_sql, a_autoGeneratedKeys);
	}
	/**
	 * @param a_sql
	 * @param a_columnIndexes
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#execute(java.lang.String, int[])
	 */
	public boolean execute(String a_sql, int[] a_columnIndexes)
			throws SQLException {
		return i_wrappedStatement.execute(a_sql, a_columnIndexes);
	}
	/**
	 * @param a_sql
	 * @param a_columnNames
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#execute(java.lang.String, java.lang.String[])
	 */
	public boolean execute(String a_sql, String[] a_columnNames)
			throws SQLException {
		return i_wrappedStatement.execute(a_sql, a_columnNames);
	}
	/**
	 * @param a_sql
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#execute(java.lang.String)
	 */
	public boolean execute(String a_sql) throws SQLException {
		return i_wrappedStatement.execute(a_sql);
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#executeBatch()
	 */
	public int[] executeBatch() throws SQLException {
		return i_wrappedStatement.executeBatch();
	}
	/**
	 * @param a_sql
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#executeQuery(java.lang.String)
	 */
	public ResultSet executeQuery(String a_sql) throws SQLException {
		return i_wrappedStatement.executeQuery(a_sql);
	}
	/**
	 * @param a_sql
	 * @param a_autoGeneratedKeys
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#executeUpdate(java.lang.String, int)
	 */
	public int executeUpdate(String a_sql, int a_autoGeneratedKeys)
			throws SQLException {
		return i_wrappedStatement.executeUpdate(a_sql, a_autoGeneratedKeys);
	}
	/**
	 * @param a_sql
	 * @param a_columnIndexes
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#executeUpdate(java.lang.String, int[])
	 */
	public int executeUpdate(String a_sql, int[] a_columnIndexes)
			throws SQLException {
		return i_wrappedStatement.executeUpdate(a_sql, a_columnIndexes);
	}
	/**
	 * @param a_sql
	 * @param a_columnNames
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#executeUpdate(java.lang.String, java.lang.String[])
	 */
	public int executeUpdate(String a_sql, String[] a_columnNames)
			throws SQLException {
		return i_wrappedStatement.executeUpdate(a_sql, a_columnNames);
	}
	/**
	 * @param a_sql
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#executeUpdate(java.lang.String)
	 */
	public int executeUpdate(String a_sql) throws SQLException {
		return i_wrappedStatement.executeUpdate(a_sql);
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getConnection()
	 */
	public Connection getConnection() throws SQLException {
		return i_wrappedStatement.getConnection();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getFetchDirection()
	 */
	public int getFetchDirection() throws SQLException {
		return i_wrappedStatement.getFetchDirection();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getFetchSize()
	 */
	public int getFetchSize() throws SQLException {
		return i_wrappedStatement.getFetchSize();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getGeneratedKeys()
	 */
	public ResultSet getGeneratedKeys() throws SQLException {
		return i_wrappedStatement.getGeneratedKeys();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getMaxFieldSize()
	 */
	public int getMaxFieldSize() throws SQLException {
		return i_wrappedStatement.getMaxFieldSize();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getMaxRows()
	 */
	public int getMaxRows() throws SQLException {
		return i_wrappedStatement.getMaxRows();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getMoreResults()
	 */
	public boolean getMoreResults() throws SQLException {
		return i_wrappedStatement.getMoreResults();
	}
	/**
	 * @param a_current
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getMoreResults(int)
	 */
	public boolean getMoreResults(int a_current) throws SQLException {
		return i_wrappedStatement.getMoreResults(a_current);
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getQueryTimeout()
	 */
	public int getQueryTimeout() throws SQLException {
		return i_wrappedStatement.getQueryTimeout();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getResultSet()
	 */
	public ResultSet getResultSet() throws SQLException {
		return i_wrappedStatement.getResultSet();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getResultSetConcurrency()
	 */
	public int getResultSetConcurrency() throws SQLException {
		return i_wrappedStatement.getResultSetConcurrency();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getResultSetHoldability()
	 */
	public int getResultSetHoldability() throws SQLException {
		return i_wrappedStatement.getResultSetHoldability();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getResultSetType()
	 */
	public int getResultSetType() throws SQLException {
		return i_wrappedStatement.getResultSetType();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getUpdateCount()
	 */
	public int getUpdateCount() throws SQLException {
		return i_wrappedStatement.getUpdateCount();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#getWarnings()
	 */
	public SQLWarning getWarnings() throws SQLException {
		return i_wrappedStatement.getWarnings();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#isClosed()
	 */
	public boolean isClosed() throws SQLException {
		return i_wrappedStatement.isClosed();
	}
	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Statement#isPoolable()
	 */
	public boolean isPoolable() throws SQLException {
		return i_wrappedStatement.isPoolable();
	}
	/**
	 * @param a_arg0
	 * @return
	 * @throws SQLException
	 * @see java.sql.Wrapper#isWrapperFor(java.lang.Class)
	 */
	public boolean isWrapperFor(Class<?> a_arg0) throws SQLException {
		return i_wrappedStatement.isWrapperFor(a_arg0);
	}
	/**
	 * @param a_name
	 * @throws SQLException
	 * @see java.sql.Statement#setCursorName(java.lang.String)
	 */
	public void setCursorName(String a_name) throws SQLException {
		i_wrappedStatement.setCursorName(a_name);
	}
	/**
	 * @param a_enable
	 * @throws SQLException
	 * @see java.sql.Statement#setEscapeProcessing(boolean)
	 */
	public void setEscapeProcessing(boolean a_enable) throws SQLException {
		i_wrappedStatement.setEscapeProcessing(a_enable);
	}
	/**
	 * @param a_direction
	 * @throws SQLException
	 * @see java.sql.Statement#setFetchDirection(int)
	 */
	public void setFetchDirection(int a_direction) throws SQLException {
		i_wrappedStatement.setFetchDirection(a_direction);
	}
	/**
	 * @param a_rows
	 * @throws SQLException
	 * @see java.sql.Statement#setFetchSize(int)
	 */
	public void setFetchSize(int a_rows) throws SQLException {
		i_wrappedStatement.setFetchSize(a_rows);
	}
	/**
	 * @param a_max
	 * @throws SQLException
	 * @see java.sql.Statement#setMaxFieldSize(int)
	 */
	public void setMaxFieldSize(int a_max) throws SQLException {
		i_wrappedStatement.setMaxFieldSize(a_max);
	}
	/**
	 * @param a_max
	 * @throws SQLException
	 * @see java.sql.Statement#setMaxRows(int)
	 */
	public void setMaxRows(int a_max) throws SQLException {
		i_wrappedStatement.setMaxRows(a_max);
	}
	/**
	 * @param a_poolable
	 * @throws SQLException
	 * @see java.sql.Statement#setPoolable(boolean)
	 */
	public void setPoolable(boolean a_poolable) throws SQLException {
		i_wrappedStatement.setPoolable(a_poolable);
	}
	/**
	 * @param a_seconds
	 * @throws SQLException
	 * @see java.sql.Statement#setQueryTimeout(int)
	 */
	public void setQueryTimeout(int a_seconds) throws SQLException {
		i_wrappedStatement.setQueryTimeout(a_seconds);
	}
	/**
	 * @param <T>
	 * @param a_arg0
	 * @return
	 * @throws SQLException
	 * @see java.sql.Wrapper#unwrap(java.lang.Class)
	 */
	public <T> T unwrap(Class<T> a_arg0) throws SQLException {
		return i_wrappedStatement.unwrap(a_arg0);
	}

}
