package ddbc.impl;

import java.sql.SQLException;
import java.sql.Struct;
import java.util.Map;

/**
 * Base decorator for sql.Struct.
 * @author F.Javier Aranda (fjarandag@gmail.com)
 *
 */
public class DStruct implements Struct {
	private Struct i_decorated;

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Struct#getAttributes()
	 */
	public Object[] getAttributes() throws SQLException {
		return i_decorated.getAttributes();
	}

	/**
	 * @param a_map
	 * @return
	 * @throws SQLException
	 * @see java.sql.Struct#getAttributes(java.util.Map)
	 */
	public Object[] getAttributes(Map<String, Class<?>> a_map)
			throws SQLException {
		return i_decorated.getAttributes(a_map);
	}

	/**
	 * @return
	 * @throws SQLException
	 * @see java.sql.Struct#getSQLTypeName()
	 */
	public String getSQLTypeName() throws SQLException {
		return i_decorated.getSQLTypeName();
	}
}
